// To allow the use of .functionName() within the game, any functions here must be added to the google closure explort
// list with the correct signatures @ Tools_ReleaseBuilderGrunt\node_modules\ingg-closure-compiler\tasks\externs\jquery-1.9

(function() {
	"use strict";

	//Set the cors to be true - resolves issue with paytable
	$.support.cors = true;

	var downEvent = "mousedown";
	var upEvent = "mouseup";

	if ( window.PointerEvent ) {
		downEvent = "pointerdown";
		upEvent = "pointerup";
	} else if ( window.MSPointerEvent ) {
		downEvent = "MSPointerDown";
		upEvent = "MSPointerUp";
	} else if ( 'ontouchstart' in document.documentElement ) {
		downEvent = "touchstart";
		upEvent = "touchend";
	}

	(function( $ ) {
		var eventType = downEvent;
		$.fn.downEvent = function( callback, popupSafe, allowPropagation ) {
			// popupSafe is for firefox, as will block new windows loaded on downevent,
			// so must use click event instead
			eventType = popupSafe ? "click" : downEvent;

			this.bind( eventType, function( event ) {
				//libs.log('downEvent - type: ' + eventType + ' - event: ' + event);

				if ( !allowPropagation ) {
					event.stopPropagation();
					event.preventDefault();
				}
				callback.call( this, event );
			} );

			return this;
		};
	})( jQuery );

	(function( $ ) {
		var eventType = upEvent;
		$.fn.upEvent = function( callback, allowPropagation ) {
			this.bind( eventType, function( event ) {
				//libs.log('upEvent - type: ' + eventType + ' - event: ' + event);

				if ( !allowPropagation ) {
					event.stopPropagation();
					event.preventDefault();
				}
				callback.call( this, event );
			} );

			return this;
		};
	})( jQuery );

	// adds a redraw function to jquery; a hide/show to refresh the DOM
	(function( $ ) {
		$.fn.redrawGentle = function() {
			this.css( 'visibility', 'hidden' );
			this.get( 0 ).offsetHeight;
			this.css( 'visibility', '' );
		};
	})( jQuery );

	// adds a redraw function to jquery; a hide/show to refresh the DOM
	(function( $ ) {
		$.fn.redrawHarsh = function() {
			this.css( 'display', 'none' );
			this.get( 0 ).offsetHeight;
			this.css( 'display', 'block' );
		};
	})( jQuery );

	(function( $ ) {
		$.fn.shake = function( shakes, distance, duration, shakesCompleted ) {
			if ( !shakesCompleted ) {
				shakesCompleted = 0;
			}
			if ( shakes > 0 ) {
				this.each( function() {
					var $el = $( this );
					var nextDistance = shakesCompleted === 0 ? distance : (distance * 2);
					$el.animate( {
						'left': "-=" + nextDistance + '%',
						'queue': false
					}, duration, function() {

						$el.animate( {
							'left': "+=" + (distance * 2) + '%',
							'queue': false
						}, duration, function() {
							if ( shakes - 1 <= 0 ) {
								$el.animate( {
									'left': "-=" + distance + '%',
									'queue': false
								}, duration );
							} else {
								shakesCompleted++;
								$el.shake( shakes - 1, distance, duration, shakesCompleted + 1 );
							}

						} );
					} );
				} );
			}
		};
	})( jQuery );

}());