goog.provide( 'libs.client.displayHandler.IFrameFocus' );

goog.require( 'libs.globalEventBus' );


(function() {
	"use strict";

	var defaultSettings = {
		iFrameName: 'gameFrame'
	};

	var IFrameFocus = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );

		var that = this;

		libs.globalEventBus.connectActivityStart( 'libs.activity.systemState.gamePlaying', function( activity ) { that._onGamePlayingStart( activity ); } );
	};

	IFrameFocus.prototype._onGamePlayingStart = function( activity ) {
		try { // if an iframe, get focus to the iframe
			if ( window.frameElement ) {
				var parent = window.parent.document.getElementById( this._settings.iFrameName );
				if ( parent ) {
					parent.contentWindow.focus();
				}
			}
		}
		catch ( err ) {
			// if window and iframe are on different domains, an exception will be thrown
			// this will catch it and allow game to carry on working regardless
		}
	};


	libs.client.displayHandler.IFrameFocus = IFrameFocus;

}());