goog.provide( 'libs.client.hillsVegas.UrlChanger' );

goog.require( 'libs.globalEventBus' );


(function() {
	"use strict";

	var defaultSettings = {};

	var UrlChanger = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );

		var that = this;

		this._isDebugMode = false;
		this._platformType = '';

		libs.globalEventBus.connect( 'libs.event.notify.isDebugMode', function( isDebugMode ) { that._onNotifyIsDebugMode( isDebugMode ); } );
		libs.globalEventBus.connect( 'libs.event.notify.platformType', function( platformType ) { that._onNotifyPlatformType( platformType ); } );

		libs.globalEventBus.connectActivityStart( 'libs.activity.systemState.gameInit', function( activity ) { that._onGameInitStart( activity ); } );
	};

	UrlChanger.prototype._onNotifyIsDebugMode = function( isDebugMode ) {
		this._isDebugMode = isDebugMode;
	};

	UrlChanger.prototype._onNotifyPlatformType = function( platformType ) {
		this._platformType = platformType;
	};

	UrlChanger.prototype._onGameInitStart = function( activity ) {
		var isLiveState = this._platformType === 'hillsLive';
		if ( !this._isDebugMode && isLiveState ) {
			window.history.replaceState( {}, "", "game_load.asp" );
		}
	};


	libs.client.hillsVegas.UrlChanger = UrlChanger;

}());