﻿goog.provide('libs.client.languages.languagePack');


(function(){
"use strict";

// English (Great Britain)
libs.client.languages.languagePack['en_GB'] = {
	'ACTION': "ACTION", // used as a title for a table, used to describe the action taken by the player
	'ALL_WINS_PAY_LEFT_TO_RIGHT': "ALL WINS PAY LEFT TO RIGHT", // referring to wins earned by the reel game, saying that winlines start at the left of the reels and end to the right of the reels
	'ALL_WINS_xX' : 'ALL WINS x{0}', // describing that wins are multiplied by a certain number, with that number being where the {0} is. 'ALL WINS x6' would mean all wins are multiplied by 6.
	'ALL_BONUSES_ARE_NOW_AVAILABLE': "ALL BONUSES ARE NOW AVAILABLE", // notice letting the player know that all in-game bonuses are now available to be played
	'AMOUNT': "AMOUNT", // used as a title for a table, used to describe the cash amount that a player staked on a bet
	'Another_player_has_won_a_Jackpot': "Another player has won a Jackpot!", // when playing, this notice lets the player know that someone else has won a special jackpot prize
	'AND_A_BONUS_WIN_OF': "AND A BONUS WIN OF", // the first sentence before this will be, for example 'YOU HAVE WON FREESPINS' - this translation follows that to make the full sentence 'YOU HAVE WON FREESPINS - AND A BONUS WIN OF $100'
	'Are_you_sure_you_want_to_leave_the_game' : "Are you sure you want to leave the game?", // a prompt to user after they click the exit button to confirm they want to leave the game
	'AUTOPLAY': "AUTOPLAY", // used on a button; when a user clicks on AUTOPLAY, it makes the game play out automatically without any further user interaction
	'AWARDS_X_EXTRA_ROLLS' : "AWARDS {0} EXTRA ROLLS", // sometimes you might earn extra rolls of the dice if you roll a certain number; {0} refers to this number. For example there might be a picture of a dice with 1 showing up top, and undearneath that: 'AWARWDS 2 EXTRA ROLLS'
	'AWARDED_X_EXTRA_FREESPINS' : "AWARDED {0} EXTRA FREESPINS", // Do not translate the word 'FREESPINS' - lets the player know that they have been awarded a number of extra freespins - {0} being that extra number, as in 'AWARDED 4 EXTRA FREESPINS'.
	'BACK': "BACK", // a title of a button - a menu will popup to the player asking if they want to confirm, or to go back to the game.
	'BALANCE': "BALANCE", // the title of a meter that lets the player know how much balance/credit/money they have in their game - so it's balance as in 'bank balance'
	'BET_HISTORY': "BET HISTORY", // a title of a part of the game that shows to the player the history of all the bets they have made in the game
	'BETTING_HISTORY': "BETTING HISTORY", // a link to take you to the bet history screen that shows to the player the history of all the bets they have made in the game
	'BIG_WIN': "BIG WIN", // when a player wins a large amount, an animation is shown to them with the text 'BIG WIN' to let them know they won lots
	'BIG_WINNER': "BIG WINNER", // when a player wins a large amount, we may let the player know that they are a 'BIG WINNER'
	'BONUS_SPINS': "BONUS SPINS", // referring to special bonus spins of the reels, usually they are free or have some special feature attached to them
	'BOOK_OF_SPINS': "BOOK OF SPINS", // do not translate any of the words, it is the name of a feature
	'CANCEL': "CANCEL", // a title of a button - a menu will popup to the player asking if they want to confirm, or to cancel their action
	'CASHIER' : "CASHIER", // a title of a button within a menu - clicking on this button takes the player to the cashier page on the website, where the player can manage their money, either depositing to or withdrawing money from their account.
	'Choose_a_symbol_to_reveal_number_of_WILDS_per_spin' : "Choose a symbol to reveal number of WILDS per spin", // do not translate the word 'WILDS' - a piece of text describing how to play a bonus feature that shows symbols to the player, who selects one of them to reveal the number of wild symbols that will come in on each spin
	'CLICK_SCREEN_TO_START': "CLICK SCREEN TO START", // in some games when winning a feature there will be some intructional text displayed to the player. If they wish to skip the instructions and start the feature, this text is shown
	'CLICK_TO_FLIP': "CLICK TO FLIP", // instructions to the player to let them know to click their mouse button to start flipping a book
	'CONGRATULATIONS': "CONGRATULATIONS!", // congratulationing the player for winning a feature or winning a prize in game
	'CONGRATULATIONS_YOU_HAVE_WON': "CONGRATULATIONS! YOU HAVE WON", // congratulating the player on winning; there will be a new line of text after this message showing the feature name or the prize amount that the player has won
	'CONGRATULATIONS_YOUVE_WON': "CONGRATULATIONS! YOU'VE WON", // congratulating the player on winning; there will be a new line of text after this message showing the feature name or the prize amount that the player has won
	'CURRENT_LEVEL' : "CURRENT LEVEL", // a title above a kind of progress bar that shows which level of the game the player is on
	'Connection_failed_please_restart_the_game': "Connection failed. Please restart the game.", // help text displayed to the user when the internet connection has been lost, and we require the player to restart the game to carry on playing
	'DEPOSIT': "DEPOSIT", // a title of a button within a menu - clicking on this button takes this player to the deposite page of the website, where they can deposit (add) money to their account
	'DO_YOU_WISH_TO_REPEAT': "DO YOU WISH TO REPEAT", // after a feature or game has played out, this will be on a prompt asking if they want to repeat playing that feature or game again
	'DROP': "DROP", // a replacement for the usual 'SPIN' button; pressing this drops the current symbols out off of the bottom of the screen
	'DROPS': "DROPS", // plural of 'DROP' - as a context, perhaps the player could choose multiple drops (of symbols falling off the bottom of the screen) rather than just 1 drop.
	'DROPS_REMAINING' : "DROPS REMAINING", // there will be a number shown to the player above this text; lets them know that there are a number drops of the symbols remaining
	'DROP_REMAINING' : "DROP REMAINING", // there will be the number 1 shown to the player above this text; lets them know that there is a single drop of the symbols remaining
	'DURING_FREESPINS_ALL_WILDS_WILL_STEP_DOWN': "DURING FREESPINS ALL WILDS WILL STEP DOWN ONE STEP BEFORE NEXT SPIN STARTS", // do not translate the words 'FREESPINS' or 'WILDS' - it is talking about how for each spin of the reels, the wild symbols will move down one positions 
	'ENABLE_SOUNDS': "ENABLE SOUNDS?", // a question to the player asking them to choose whether they want to enable sounds in the game or not
	'ENHANCED_PAYOUT': "ENHANCED PAYOUT", // used to label a certain game type has having an enhanced (higher) payout of wins compared to normal
	'EXIT': "EXIT", // title of a button that the player can select to either exit out of a popup menu or to exit out of the game
	'EXTRA_FREESPINS': "EXTRA FREESPINS", // Do not translate the word 'FREESPINS' - letting the player know that there are extra (more) freespins. 
	'FEATURE_OVER': 'FEATURE OVER', // shown to the player when the game feature that they have been playing is finished
	'FORWARD': 'FORWARD', // usually used, as an example like when on a chessboard, 'move 1 space forward', but the number in this case will sit above the word 'FORWARD'.
	'Free_Spin' : "Free Spin", // used as a label to describe that the spin did not cost any money, and thus was free
	'FREESPINS_ARE_OVER_WHEN_THE_GRID_IS_FULL': "FREESPINS ARE OVER WHEN THE GRID IS FULL", // Do not translate the word 'FREESPINS' - there is a grid that fills up when playing freespins mode in one of the games; when this is full the freespins feature finishes. 
	'FREESPINS': "FREESPINS", // do not translate the word 'FREESPINS'
	'FREESPINS_OVER': "FREESPINS OVER", // Do not translate the word 'FREESPINS' - a message to let the player know that the freespins feature has finished.
	'FREESPIN_REMAINING': "FREESPIN REMAINING", // Do not translate the word 'FREESPIN' - there will be a number inserted before this string; for example, 1 FREESPIN REMAINING. It lets the player know that there is 1 freespin left to go in the feature. 
	'FREESPINS_REMAINING': "FREESPINS REMAINING", // Do not translate the word 'FREESPINS' - there will be a number inserted before this string; for example, 3 FREESPINS REMAINING. It lets the player know that there are freespins left to go in the feature. 
	'FREESPINS_RETRIGGER': "FREESPINS RETRIGGER", // Do not translate the words 'FREESPINS' or 'RETRIGGER'
	'FRENZY_OVER' : "FRENZY OVER", // an announcement of a feature ending when you come out of frenzy mode; ie. the symbols fell faster, colours changed and the player won more.
	'GOLD_JACKPOT': "GOLD JACKPOT", // the top jackpot prize that can be won in game
	'GROUPS_OF_SYMBOLS_PAY' : "GROUPS OF SYMBOLS PAY", // the game shows a symbol from the game, and around this symbol is this text to tell the player that groups of this symbol disappearing together pays out the following amounts (the values are in a table below)
	'HELP': "HELP", // the title of a button - selecting this takes you to the help pages
	'HOW_TO_PLAY_THIS_GAME': "HOW TO PLAY THIS GAME", // the title of a button - selecting this takes you to the help pages explaning the rules of the game.
	'HUGE_WIN': "HUGE WIN", // when a player wins a large amount, an animation is shown to them with the text 'HUGE WIN' to let them know they won lots
	'IN_VIEW_AWARDS' : "IN VIEW AWARDS", // there will be an image of a number of symbols, with this text next to it to show that when a number of those symbols are all on the screen at once (ie. in view) then it awards something that will be written afterwards. For example, 4x <picture of symbol> in view awards £10
	'ITS_FRENZY_TIME' : "IT'S FRENZY TIME", // an announcement of a feature where you are in a frenzy mode; ie. the symbols fall faster, colours change and the player wins more.
	'JACKPOT' : "JACKPOT", // the jackpot win is the top prize that can be won in the game
	'JACKPOT_WIN': "JACKPOT WIN", // when a player wins a special jackpot prize, an animation is shown to them with the text 'JACKPOT WIN' as a celebration
	'LEVEL_UP': 'LEVEL UP', // a message to the player that they have gained another level in the game, kind of like you get in role playing computer games.
	'LEVEL_X_BONUS' : "LEVEL {0} BONUS", // {0}: number - a title above an explanation of how the level x bonus works (level 1 bonus, or level 2 bonus etc)
	'LIGHT_X_SYMBOLS_FOR_EXTRA_BONUS_SPINS': "LIGHT {0} SYMBOLS FOR EXTRA BONUS SPINS", // Do not translate 'BONUS SPINS' - {0}: number - an explanation to the player that lighting up a certain number of symbols will award extra bonus spins in game. 
	'MEGA_BIG_WIN': "MEGA BIG WIN", // when a player wins a large amount, an animation is shown to them with the text 'MEGA BIG WIN' to let them know they won lots
	'MERLINS_CASHPOT': "MERLIN'S CASHPOT", // do not translate any of the words, it is the name of a feature
	'MENU': "MENU", // the title of a button - selecting it displays the games menu to the player, where they can select further options
	'MORE' : "MORE", // the title of a button - if data is being displayed to the player, they can press this button to see even more data
	'MULTIPLIER': 'MULTIPLIER', // a heading for a bonus game, where you spin a wheel to decide what multiplier you win; this value is then used to multiply any future wins you get in the feature
	'MUTE': "MUTE", // the title of a button - selecting it will mute (silence) the sounds in the game
	'NO': "NO", // used as the title of a button - selecting this is to say no to what the popup message is asking
	'No_Win' : "No Win", // in a table of data / statistics, if the player did not win any money on a game, then this text goes in that column
	'Normal_Spin' : "Normal Spin", // used as a label to describe that the spin was normal, and thus cost money to play
	'NUMBER_OF_WINS' : "NUMBER OF WINS", // used as the heading of a column of a table of statistics, the column describing how many wins the player acheived in that game
	'OFF' : "OFF", // used as the title of a button - when presented with a toggle option, you could have that option on or that option off. This text denotes that it is turned off
	'OK': "OK", // used as the title of a button - when a popup message is shown to the player, they can press this button to show that they are okay to close that message
	'ON': "ON", // used as the title of a button - when presented with a toggle option, you could have that option on or that option off. This text denotes that it is turned on
	'OPTIONS': "OPTIONS", // used as the title of a button - pressing this button will then display game options to the player
	'PAYTABLE': "PAYTABLE", // used as the title of a button - pressing this button will then display the games paytable to the player. The paytable is a table of each symbol in the game, and how much money the player would win if a certain number of each symbol was on a win line
	'PICK_A_SYMBOL': "PICK A SYMBOL", // text for a feature in one of the games that shows lots of symbols on the screen to choose from. This message prompts you to pick one
	'PICK_A_CARD': "PICK A CARD", // text for a feature in one of the games that shows lots of cards on the screen to choose from. This message prompts you to pick one
	'Please_contact_customer_service_for_assistance': "Please contact Customer Service for assistance", // message to the player asking them to contact customer service for help with their problem.
	'Please_rotate_your_device_to_landscape': "Please rotate your device to landscape.", // message to the player asking to rotate their phone or tablet to the landscape orientation
	'Please_update_your_browser_to_either': "Please update your browser to either:", // message to the player to ask them to update their browser. Following this message is a list of popular web browsers
	'PLEASE_SELECT_YOUR_BONUS': "PLEASE SELECT YOUR BONUS", // as a game reward, a number of bonus options will be presented to the player, this message is to ask them to select which bonus they would like to receive
	'PLAY_FOR_REAL': "PLAY FOR REAL", // the title of a button - When playing the game in demonstration mode, you do not play with real money but with points. You can press this button to start playing the game playing with real money
	'PLAYING_WITH_SOUND_MAY_AFFECT_YOUR_PERFORMANCE': "PLAYING WITH SOUND MAY AFFECT YOUR PERFORMANCE", // a message to the user that choosing to have sounds enabled may effect how smoothly the game runs for them
	'X_POWER_SPINS_REMAINING': '{0} POWER SPINS REMAINING', // do not translate 'POWER SPINS' - {0}: number - used to let the player know how many of these special feature 'power spins' are left to play ie. '5 POWER SPINS REMAINING'
	'X_POWER_SPIN_REMAINING': '{0} POWER SPIN REMAINING', // do not translate 'POWER SPINS' - {0}: number - used to let the player know how many of these special feature 'power spins' are left to play 
	'PRESS_SPACEBAR_TO_SKIP_WINLINE_ANIMATIONS' :"PRESS SPACEBAR TO SKIP WINLINE ANIMATIONS", // when wins are being shown and animated to the player, it does it a winline at a time, which can take some time. This is a prompt to let the player know how to skip the animating of the winlines
	'PRINT': "PRINT", // the title of a button - pressing it sends the displayed information to the printer to be printed.
	'PRIZES_ON_PARADE': "PRIZES ON PARADE", // do not translate any of the words, it is the name of a feature
	'PRIZES_ON_PARADE_OVER': "PRIZES ON PARADE OVER", // Do not translate 'PRIZES ON PARADE' as it is the name of a feature. It is over as in, the feature has finished / completed
	'PTS': "PTS", // an abbreviation of POINTS. At most this translation can be 3 characters
	'RANDOM_PICK': "RANDOM PICK", // the title of a button - in a feature, if they player has a choice as to what to select, they could press this button and a random selection is made for them
	'RED_SQUARES_FILL_UP_THE_GRID': "RED SQUARES FILL UP THE GRID", // helpful hint to the player to let them know that red squares that show up on the reels can move to fill up a 5x3 grid in the corner of the screen
	'REF': "REF", // an abbreviation of REFERENCE. At most this translation can be 3 characters
	'ROLL': "ROLL", // refers to a roll of a dice
	'ROLLS': "ROLLS", // refers to multiple rolls of a dice
	'RESULTS': "RESULTS", // the heading of a column of statistics - referring to the results of the game
	'RETRY': "RETRY", // a title of a button - if the player has attempted an action which has failed, they may be prompted to retry that action
	'X_ROLLS_REMAINING': '{0} ROLLS REMAINING', // {0}: number - referring to the number of dice rolls remaining in the feature
	'ROAD_TO_ROME_OVER': 'ROAD TO ROME OVER', // Do not translate 'ROAD TO ROME' as it is the name of a feature. It is over as in, the feature has finished / completed 
	'ROLLING_REELS_OVER': 'ROLLING REELS OVER', // do not translate 'ROLLING REELS' - it is a feature name. This sentence is saying that the 'ROLLING REELS' feature has now finished
	'ROLLING_REELS_BONUS': 'ROLLING REELS BONUS', // do not translate 'ROLLING REELS' it is a feature name. This will be the title when you enter the 'ROLLING REELS' bonus feature
	'SAFE': "SAFE", // this is a single word that pops up in a feature to let the player know that they are cannot lose; ie, that they are safe from losing
	'SELECTED': "SELECTED", // if you had a list of checkboxes, you might have a heading called 'SELECTED' that displayed all of the options you had ticked
	'SELECT_A_BOMB': 'SELECT A BOMB', // text for a feature in one of the games that shows lots of bomb icons on the screen to choose from. This message prompts you to select one
	'SELECT_A_MULTIPLIER_POTION': "SELECT A MULTIPLIER POTION", // a prompt to the user in a feature that has lots of bottles of magic potions on a table. This is asking the plaer to select one that will increase the muliplier of your wins
	'SELECT_YOUR_FIRST_POTION': "SELECT YOUR FIRST POTION", // a prompt to the user in a feature that has lots of bottles of magic potions on a table. This is asking the player to make their first choice
	'SELECT_YOUR_SECOND_POTION': "SELECT YOUR SECOND POTION", // a prompt to the user in a feature that has lots of bottles of magic potions on a table. This is asking the player to make their second choice
	'SELECT_YOUR_THIRD_POTION': "SELECT YOUR THIRD POTION", // a prompt to the user in a feature that has lots of bottles of magic potions on a table. This is asking the player to make their third choice
	'Server_communcation_lost': "Server communication lost.", // an error message shown to the player if they have lost connection to the server that hosts the game, usually due to internet network problems
	'SKIP_INTRO': "SKIP INTRO", // the title for a button - for some games, there is an introduction video; you can press this button to skip viewing it and go straight to the game
	'SILVER_JACKPOT': "SILVER JACKPOT", // the second tier jackpot prize that can be won in game
	'SOUND': "SOUND", // the title of a button - next to the text is a little little symbol showing if the sound is enabled or not - pressing the button toggles the sound being enabled
	'SPIN': "SPIN", // the title of a button - the main button used to start our games. Pressing it will spin the reels
	'SPINS': "SPINS", // the plural of spin, used for when you have a number of spins remaining
	'STAKE': "STAKE", // the title of a meter - the stake is how much money the player is betting each time they play the game.
	'STAKE_PER_LINE' : "STAKE PER LINE", // the heading of a column of statistics - this is referring the amount of money a player staked (bet on) for each game winline 
	'STOP': "STOP", // the title of a button - if you are in autoplay mode, you can press this STOP button to stop the autoplays
	'SWIPE_TO_SPIN_WHEEL': "SWIPE TO SPIN WHEEL", // a prompt to the player in a game feature to tell them to swipe the screen to start spinning a large wheel
	'The_settings_on_your_browser': "The settings on your browser are not compatible with this game.", // an error message to the player telling them that their web browser settings have compatibility issues with the game they are trying to play. 
	'This_game_does_not_currently_support': "This game does not currently support your device.", // an error message to the player telling them that their device (mobile or tablet) is not compatible with the game and therefore they cannot play it
	'This_game_may_not_be_fully_optimised': "This game may not be fully optimised for your device.", // a message to the player advising them that although the game will work on their device (mobile or tablet), it has not been fully optimised, so we can't guarantee that it will run perfectly
	'This_game_requires_that_you_use_a_modern_browser': "This game requires that you use a modern browser", // an error message to the player telling them that their web browser is too old to play the game.
	'This_functionality_is_only_available' : 'This functionality is only available in the real play version.', // some in-game functionality, like betting history, may only be enabled if playing for real, and is disabled when in demonstration mode
	'TIME': "TIME", // used as a title for a column in a table, used to describe the time that the player played a game (ie. 16:22)
	'TOTAL_BET': "TOTAL BET", // the title of a meter - the total bet is overall how much money the player is betting for each time they play the game
	'TOTAL_STAKE' : "TOTAL STAKE", // the title of a meter - the total stake is overall how much money the player is betting for each time they play the game
	'TOTAL_WIN': "TOTAL WIN", // the title of a meter - the total win is overall how much money the player has won in the current game.
	'TOTAL_WINNINGS' : "TOTAL WINNINGS", // the title of a meter - the total winnings is overall how much money the player has won in the current game.
	'TOUCH_SCREEN_TO_START': "TOUCH SCREEN TO START",// in some games when winning a feature there will be some intructional text displayed to the player. If they wish to skip the instructions and start the feature, this text is shown
	'TOUCH_TO_FLIP': "TOUCH TO FLIP", // instructions to the player to let them know to touch the screen to start flipping a book
	'TURBO_MODE': "TURBO MODE", // an option in a menu - enabling 'TURBO MODE' lets the game play at a much faster speed (turbo speed) than normal
	'UNTIL_BONUS': "UNTIL BONUS", // when selecting how many games you would like to automatically play, you can select an option of 'UNTIL BONUS', which means the game will keep auto playing until you reach a bonus feature
	'WILD_EXCHANGE': "WILD EXCHANGE", // do not translate, it is the name of a feature
	'WILD_POWER_FREESPINS_OVER': 'WILD POWER FREESPINS OVER', // Do not translate 'WILD POWER FREESPINS' as it is the name of a feature. It is over as in, the feature has finished / completed 
	'X_WILD_POWER_SPINS': '{0} WILD POWER SPINS', // Do not translate 'WILD POWER SPINS' as it is the name of a feature.- {0} refers to the number of spins remaining. 
	'WILDS' : "WILDS", // do not translate the word 'WILDS'
	'WILDS_spread_across_the_reels_after_they_land': "WILDS spread across the reels after they land", // do not translate 'WILDS' - a piece of text in a feature explaining to the player that any WILDS on the screen will multiply and appear to spread across on other reels at the end of each spin
	'WILDS_stay_in_play_moving_in_the_direction_shown' : "WILDS stay in play moving in the direction shown. If 2 WILDS meet they will lock in place for EVERY spin", // do not translate 'WILDS' - a piece of text in a feature explaining that there will be multiple 'WILD' symbols on the reels, each with an arrow on them showing which way they will travel, and that after each spin they move in that direction. If 2 of these moving symbols meet, they lock into place and stay where they are for each subsequent game in the feature  
	'WILDS_will_remain_where_they_land_for' : "WILDS will remain where they land for a random number of spins", // do not translate 'WILDS' - a piece of text in a feature explaining to the player that any WILDS that appear when the reels land will stay where they are for a random number of future spins of the reels
	'WINNINGS': "WINNINGS", // the title of a meter - the total winnings is overall how much money the player has won in the current game.
	'Win' : "Win", // in a table of data / statistics, if the player won money on a game, then this text goes in that column
	'WIN': "WIN", // if a player wins in a game, it will show this text plus how much they actually won afterwards. "WIN $200.15" for example.
	'WINNING_LINES': "WINNING LINES", // used as title on an image where all of the potential combinations of winning lines of symbols are shown to the player
	'Wins' : "Wins", // used as column header in a table of data / statistics, the data itself will be a number of how many wins occured in each game.
	'Wins_are_multiplied_by_current_line_bet': "Wins are multiplied by current line bet", // an explanation to the player below a list of symbols, and how much you win for each symbol, that these values are multiplied by the line bet shown on screen for the player to work out the true win amount
	'WITH_A_X_MULTIPLIER_AND_AN_ENTRY_BONUS_OF_X': 'WITH A x{0} MULTIPLIER AND AN ENTRY BONUS OF {1}', // imagine there was a screenshot of a feature; and below it would be this text to signify that the picture came with {0} level of multiplier and a bonus of {1} amount of cash; example: 'WITH A x5 MULTIPLIER AND AN ENTRY BONUS OF $300.00'
	'WON': "WON", // used as a header in a table of data / statistics - the data below would show a cash amount of how much the player won in that game.
	'X_ADDITIONAL_FREESPINS' : "{0} ADDITIONAL FREESPINS", // do not translate 'FREESPINS' - {0}: number - the player is being told that they have a earned a certain amount of additional freespins to play in the game
	'X_EXTRA_SPINS_IN A_ROW_AWARDS_X_EXTRA_SPINS': "{0} 'EXTRA SPINS' IN A ROW AWARDS {1} EXTRA SPINS", // Do not translate 'EXTRA SPINS' - the first extra spins stays within '' as it is talking about coins that have the words 'EXTRA SPINS' on it {0}: number - {1}: number - example: 5 'EXTRA SPINS' IN A ROW AWARDS 12 EXTRA SPINS.
	'X_FORTUNE_SPINS': "{0} FORTUNE SPINS", // do not translate 'FORTUNE SPINS'
	'X_FREESPIN_REMAINING': "{0} FREESPIN REMAINING", // Do not translate the word 'FREESPIN' - {0}: number - example, 1 FREESPIN REMAINING. It lets the player know that there is 1 freespin left to go in the feature. 
	'X_FREESPINS_REMAINING': "{0} FREESPINS REMAINING", // Do not translate the word 'FREESPINS' - {0}: number - example, 3 FREESPINS REMAINING. It lets the player know that there are freespins left to go in the feature. 
	'X_OF_A_KIND': "{0} OF A KIND", // {0}: number - used to congratulate the player that they have a number of the same symbols; for example, the player could get 5 jackpot symbols and a message of "5 OF A KIND" would be displayed to them
	'YES': "YES", // used as the title of a button - selecting this is to say yes to what the popup message is asking
	'You_do_not_have_enough_points': "You do not have enough points to place this bet. Why not play for real money?", // notifies the player when they are playing in demo mode that they are low on points to play this, but then asks them if they want to play with real money
	'YOU_HAVE_BEEN_AWARDED': "YOU HAVE BEEN AWARDED", // when you have been awarded a feature, on one line it might have this text, then below it the name or picture of the feature you have won / been awarded
	'YOU_HAVE_BEEN_AWARDED_X_ADDITIONAL_FREESPINS': "YOU HAVE BEEN AWARDED {0} ADDITIONAL FREESPINS", // do not translate 'FREESPINS' - A title to let the player know they have been awarded a number of freespins, {0} being that number.
	'YOU_HAVE_BEEN_AWARDED_X_FREESPINS_AND_BONUS_WIN_OF_X': "YOU HAVE BEEN AWARDED {0} FREESPINS AND A BONUS WIN OF {1}", // Do not translate 'FREESPINS' - A title to let the player know they have been awarded a number of freespins, {0} being that number, and have also won a bonus cash amount, which is {1}. Example: "YOU HAVE BEEN AWARDED 15 FREESPINS AND A BONUS WIN OF $30"
	'YOU_HAVE_BEEN_AWARDED_UNLIMITED_FREESPINS_AND_A_BONUS_WIN_OF': "YOU HAVE BEEN AWARDED UNLIMITED FREESPINS AND A BONUS WIN OF", // Do not translate 'FREESPINS' - A title to let the player know that they have been awarded an unlimited amount of freespins, and that they have also won a bonus, which will be a picture or piece of text after this sentance
	'YOU_HAVE_REACHED_THE_HIGHEST_LEVEL': "YOU HAVE REACHED THE HIGHEST LEVEL", // in the game, the player can gain levels, kind of like you get in role playing computer games. This message lets the player know they have reached the highest level that the game allows
	'You_have_insufficient_funds': "You have insufficient funds to place this stake. Please deposit more funds into your account.", // if the player tries to play a game at a stake that is higher than the amount of money they have in their account, this message is displayed to them 
	'YOU_HAVE_SELECTED_A_LEVEL_1_BONUS_WITH_WILD_PICKER': "YOU HAVE SELECTED A LEVEL 1 BONUS WITH WILD PICKER", // do not translate 'WILD PICKER' - a congratulatory message for the player choosing a 'WILD PICKER' bonus
	'YOU_HAVE_SELECTED_A_LEVEL_2_BONUS_WITH_SPREADING_WILDS': "YOU HAVE SELECTED A LEVEL 2 BONUS WITH SPREADING WILDS", // do not translate 'SPREADING WILDS' - a congratulatory message for the player choosing a 'SPREADING WILDS' bonus
	'YOU_HAVE_SELECTED_A_LEVEL_3_BONUS_WITH_COUNTDOWN_WILDS': "YOU HAVE SELECTED A LEVEL 3 BONUS WITH COUNTDOWN WILDS", // do not translate 'COUNTDOWN WILDS' - a congratulatory message for the player choosing a 'COUNTDOWN WILDS' bonus
	'YOU_HAVE_SELECTED_A_LEVEL_4_BONUS_WITH_SHIFTING_WILDS': "YOU HAVE SELECTED A LEVEL 4 BONUS WITH SHIFTING WILDS", // do not translate 'SHIFTING WILDS' - a congratulatory message for the player choosing a 'SHIFTING WILDS' bonus
	'YOU_HAVE_WON_A_LEVEL_1_BONUS_WITH_WILD_PICKER': "YOU HAVE WON A LEVEL 1 BONUS WITH WILD PICKER", // do not translate 'WILD PICKER' - a congratulatory message for the player winning a 'WILD PICKER' bonus
	'YOU_HAVE_WON_A_LEVEL_2_BONUS_WITH_SPREADING_WILDS': "YOU HAVE WON A LEVEL 2 BONUS WITH SPREADING WILDS", // do not translate 'SPREADING WILDS' - a congratulatory message for the player winning a 'SPREADING WILDS' bonus
	'YOU_HAVE_WON_A_LEVEL_3_BONUS_WITH_COUNTDOWN_WILDS': "YOU HAVE WON A LEVEL 3 BONUS WITH COUNTDOWN WILDS", // do not translate 'COUNTDOWN WILDS' - a congratulatory message for the player winning a 'COUNTDOWN WILDS' bonus
	'YOU_HAVE_WON_A_LEVEL_4_BONUS_WITH_SHIFTING_WILDS': "YOU HAVE WON A LEVEL 4 BONUS WITH SHIFTING WILDS", // do not translate 'SHIFTING WILDS' - a congratulatory message for the player winning a 'SHIFTING WILDS' bonus
	'YOU_HAVE_WON': "YOU HAVE WON", // a message to the player letting them know that they have won something, which will be revealed on the next line of text
	'YOU_HAVE_WON_X': "YOU HAVE WON {0}" // {0}: cash value - a message to the player letting them know much much money they have just won; for example: YOU HAVE WON $12,41
};

}());