goog.provide( 'libs.client.presentation.FreespinsJackpotTierOneMeter' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.presentation.JackpotMeterBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'FreespinsJackpotTierOneMeter',
		fadeInTime: 0,
		fadeOutTime: 0,
		jackpotIndex: 0,
		model: libs.client.reels.meterModels.freespinsJackpotTierOne,
		text: {
			title: {
				fontSize: 15,
				maxWidth: 150
			},
			value: {
				fontSize: 25,
				maxWidth: 150
			}
		},
		translations: {
			title: 'GOLD_JACKPOT'
		}
	};

	var selectors = {
		container: $( '#meter-freespinsjackpot-tier1-container' ),
		title: $( '#meter-freespinsjackpot-tier1-title' ),
		value: $( '#meter-freespinsjackpot-tier1-value' )
	};

	selectors.container.hide();

	var FreespinsJackpotTierOneMeter = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.JackpotMeterBaseClass.call( this, this._settings, selectors );
	};

	FreespinsJackpotTierOneMeter.prototype = Object.create( libs.client.presentation.JackpotMeterBaseClass.prototype );
	FreespinsJackpotTierOneMeter.prototype.constructor = FreespinsJackpotTierOneMeter;


	libs.client.presentation.FreespinsJackpotTierOneMeter = FreespinsJackpotTierOneMeter;

}());