goog.provide( 'libs.client.presentation.FreespinsWinningsMeter' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.core.clientInformation' );
goog.require( 'libs.client.presentation.MeterBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'FreespinsWinningsMeter',
		alwaysIncludeSubunit: true,
		canBeNegativeValue: false,
		fadeInTime: 0,
		fadeOutTime: 0,
		hideTextOnZeroValue: false,
		updateValueEvent: 'libs.event.notify.winTotalToDisplay',
		model: libs.client.reels.meterModels.freespinsWinnings,
		translations: {
			title: 'WINNINGS'
		},
		text: {
			title: {
				fontSize: 15,
				maxWidth: 140
			},
			value: {
				fontSize: 25,
				maxWidth: 125
			}
		}
	};

	var selectors = {
		container: $( '#meter-freespinswinnings-container' ),
		title: $( '#meter-freespinswinnings-title' ),
		value: $( '#meter-freespinswinnings-value' )
	};

	selectors.container.hide();

	var FreespinsWinningsMeter = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.MeterBaseClass.call( this, this._settings, selectors );
	};

	FreespinsWinningsMeter.prototype = Object.create( libs.client.presentation.MeterBaseClass.prototype );
	FreespinsWinningsMeter.prototype.constructor = FreespinsWinningsMeter;


	libs.client.presentation.FreespinsWinningsMeter = FreespinsWinningsMeter;

}());