goog.provide( 'libs.client.presentation.JackpotTierOneMeter' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.presentation.JackpotMeterBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'JackpotTierOneMeter',
		fadeInTime: 0,
		fadeOutTime: 0,
		jackpotIndex: 0,
		model: libs.client.reels.meterModels.jackpotTierOne,
		text: {
			title: {
				fontSize: 15,
				maxWidth: 150
			},
			value: {
				fontSize: 25,
				maxWidth: 150
			}
		},
		translations: {
			title: 'GOLD_JACKPOT'
		}
	};

	var selectors = {
		container: $( '#meter-jackpot-tier1-container' ),
		title: $( '#meter-jackpot-tier1-title' ),
		value: $( '#meter-jackpot-tier1-value' )
	};

	selectors.container.hide();

	var JackpotTierOneMeter = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.JackpotMeterBaseClass.call( this, this._settings, selectors );
	};

	JackpotTierOneMeter.prototype = Object.create( libs.client.presentation.JackpotMeterBaseClass.prototype );
	JackpotTierOneMeter.prototype.constructor = JackpotTierOneMeter;


	libs.client.presentation.JackpotTierOneMeter = JackpotTierOneMeter;

}());