goog.provide( 'libs.client.presentation.JackpotTierTwoMeter' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.presentation.JackpotMeterBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'JackpotTierTwoMeter',
		fadeInTime: 0,
		fadeOutTime: 0,
		jackpotIndex: 1,
		model: libs.client.reels.meterModels.jackpotTierTwo,
		text: {
			title: {
				fontSize: 15,
				maxWidth: 150
			},
			value: {
				fontSize: 25,
				maxWidth: 150
			}
		},
		translations: {
			title: 'SILVER_JACKPOT'
		}
	};

	var selectors = {
		container: $( '#meter-jackpot-tier2-container' ),
		title: $( '#meter-jackpot-tier2-title' ),
		value: $( '#meter-jackpot-tier2-value' )
	};

	selectors.container.hide();

	var JackpotTierTwoMeter = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.JackpotMeterBaseClass.call( this, this._settings, selectors );
	};

	JackpotTierTwoMeter.prototype = Object.create( libs.client.presentation.JackpotMeterBaseClass.prototype );
	JackpotTierTwoMeter.prototype.constructor = JackpotTierTwoMeter;


	libs.client.presentation.JackpotTierTwoMeter = JackpotTierTwoMeter;

}());