goog.provide( 'libs.client.presentation.TotalStakeMeter' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.presentation.MeterBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'TotalStakeMeter',
		alwaysIncludeSubunit: false,
		canBeNegativeValue: false,
		fadeInTime: 0,
		fadeOutTime: 0,
		hideTextOnZeroValue: false,
		updateValueEvent: 'libs.event.notify.stakeTotal',
		model: libs.client.reels.meterModels.totalStake,
		text: {
			title: {
				fontSize: 15,
				maxWidth: 125
			},
			value: {
				fontSize: 25,
				maxWidth: 80
			}
		},
		translations: {
			title: 'TOTAL_BET'
		}
	};

	var selectors = {
		container: $( '#meter-stake-container' ),
		title: $( '#meter-stake-title' ),
		value: $( '#meter-stake-value' )
	};

	selectors.container.hide();

	var TotalStakeMeter = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.MeterBaseClass.call( this, this._settings, selectors );
	};

	TotalStakeMeter.prototype = Object.create( libs.client.presentation.MeterBaseClass.prototype );
	TotalStakeMeter.prototype.constructor = TotalStakeMeter;


	libs.client.presentation.TotalStakeMeter = TotalStakeMeter;

}());