goog.provide( 'libs.client.presentation.TotalWinMeter' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.core.clientInformation' );
goog.require( 'libs.client.presentation.MeterBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'TotalWinMeter',
		alwaysIncludeSubunit: true,
		canBeNegativeValue: false,
		fadeInTime: 0,
		fadeOutTime: 0,
		hideTextOnZeroValue: true,
		updateValueEvent: 'libs.event.notify.winTotalToDisplay',
		model: libs.client.reels.meterModels.totalWin,
		animateToValueTimings: {
			valueThresholds: [0, 100, 1000, 100000, 1000000],
			animationSpeeds: [500, 1000, 2500, 5000, 7500]
		},
		translations: {
			title: 'TOTAL_WIN'
		},
		text: {
			title: {
				fontSize: 15,
				maxWidth: 140
			},
			value: {
				fontSize: 25,
				maxWidth: 125
			}
		}
	};

	var hillsVegasDesktopSettings = {
		text: {
			title: {
				maxWidth: 190
			},
			value: {
				maxWidth: 180
			}
		}
	};

	var selectors = {
		container: $( '#meter-totalwin-container' ),
		title: $( '#meter-totalwin-title' ),
		value: $( '#meter-totalwin-value' )
	};

	selectors.container.hide();

	var isDesktopDeviceType = libs.client.core.clientInformation.getDeviceType() === 'desktop';
	var isHillsVegas = PLATFORM_TYPE === 'hillsLocal' || PLATFORM_TYPE === 'hillsLive';
	if ( isDesktopDeviceType && isHillsVegas ){
		defaultSettings = libs.client.utils.misc.mergeSettings( defaultSettings, hillsVegasDesktopSettings );
	}

	var TotalWinMeter = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.MeterBaseClass.call( this, this._settings, selectors );
	};

	TotalWinMeter.prototype = Object.create( libs.client.presentation.MeterBaseClass.prototype );
	TotalWinMeter.prototype.constructor = TotalWinMeter;


	libs.client.presentation.TotalWinMeter = TotalWinMeter;

}());