goog.provide( 'libs.client.presentation.Window' );

goog.require( 'libs.client.rendering.CanvasText' );


(function() {
	"use strict";

	var Window = function( background, text, textSettings ) {
		this._background = background;
		this.text = new libs.client.rendering.CanvasText( text, textSettings );

		if ( background ) {
			this.x = background.x;
			this.y = background.y;
			this.width = background.width;
			this.height = background.height;
		}
	};

	Window.prototype.draw = function( ctx ) {
		if ( this._background ) {
			this._background.draw( ctx );
		}

		if ( this.text ) {
			this.text.draw( ctx );
		}

		this._isDirty = false;
	};

	Window.prototype.isDirty = function() {
		return this._isDirty || this.text.isDirty();
	};

	Window.prototype.drawIfDirty = function( ctx ) {
		if ( this._isDirty || this.text.isDirty() ) {
			this.draw( ctx );
		}
	};


	libs.client.presentation.Window = Window;

}());