goog.provide( 'libs.client.reels.BetStateIdle' );

goog.require( 'libs.globalEventBus' );


(function() {
	"use strict";

	var defaultSettings = {};

	var BetStateIdle = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );

		var that = this;

		this._handleIdle = null;

		libs.globalEventBus.connectActivityStart( 'libs.activity.betState.idle', function( activity ) { that._onIdleStart( activity ); } );
		libs.globalEventBus.connect( 'libs.event.notify.betAllowed', function() { that._onNotifyBetAllowed(); } );
	};

	BetStateIdle.prototype._onIdleStart = function( activity ) {
		this._handleIdle = activity.join();
	};

	BetStateIdle.prototype._onNotifyBetAllowed = function() {
		this._handleIdle.leave();
		this._handleIdle = null;
	};


	libs.client.reels.BetStateIdle = BetStateIdle;

}());