goog.provide( 'libs.client.reels.BetStatePostBet' );

goog.require( 'libs.globalEventBus' );


(function() {
	"use strict";

	var defaultSettings = {};

	var BetStatePostBet = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );

		var that = this;

		this._handlePostBet = null;

		libs.globalEventBus.connectActivityStart( 'libs.activity.betState.postBet', function( activity ) { that._onPostBetStart( activity ); } );
		libs.globalEventBus.connect( 'libs.event.notify.serverBetFinished', function() { that._onNotifyServerBetFinished(); } );
	};

	BetStatePostBet.prototype._onPostBetStart = function( activity ) {
		this._handlePostBet = activity.join();
	};

	BetStatePostBet.prototype._onNotifyServerBetFinished = function() {
		var that = this;

		// ensure that server can process serverBetFinished before finishing this bet state
		libs.setTimeout( function() {
			that._handlePostBet.leave();
			that._handlePostBet = null;
		}, 1 );
	};

	libs.client.reels.BetStatePostBet = BetStatePostBet;

}());