goog.provide( 'libs.client.reels.BetStatePreBet' );

goog.require( 'libs.globalEventBus' );


(function() {
	"use strict";

	var defaultSettings = {};

	var BetStatePreBet = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );

		var that = this;

		this._handlePreBet = null;

		libs.globalEventBus.connectActivityStart( 'libs.activity.betState.preBet', function( activity ) { that._onPreBetStart( activity ); } );
		libs.globalEventBus.connect( 'libs.event.notify.betResult', function( betResult ) { that._onNotifyBetResult( betResult ); } );
		libs.globalEventBus.connect( 'libs.event.notify.serverBetAborted', function() { that._onNotifyServerBetAborted(); } );
	};

	BetStatePreBet.prototype._onPreBetStart = function( activity ) {
		this._handlePreBet = activity.join();
	};

	BetStatePreBet.prototype._onNotifyBetResult = function( betResult ) {
		var that = this;

		// slight delay so other controllers can know that this event is ending in a non successful way
		libs.setImmediate( function() {
			that._handlePreBet.leave();
			that._handlePreBet = null;
		} );
	};

	BetStatePreBet.prototype._onNotifyServerBetAborted = function() {
		var that = this;

		// slight delay so other controllers can know that this event is ending in a non successful way
		libs.setImmediate( function() {
			that._handlePreBet.leave();
			that._handlePreBet = null;
		} );
	};


	libs.client.reels.BetStatePreBet = BetStatePreBet;

}());