goog.provide( 'libs.client.reels.MenuButton' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.presentation.ButtonBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'MenuButton',
		fadeInTime: 200,
		fadeOutTime: 200,
		keyMapping: {
			keyCode: null,
			keyChar: null
		},
		model: libs.client.reels.buttonModels.menu,
		popupSafe: false,
		text: {
			title: {
				fontSize: 19,
				maxWidth: 93,
				lineClass: 'multiline-margin-left'
			}
		}
	};

	var defaultSettingsMobile = {
	};

	var defaultSettingsDesktop = {
		text: {
			title: {
				maxWidth: 84
			}
		}
	};

	var hillsVegasSettings = {
		translations: {
			title: 'MENU'
		}
	};
	var inspiredSettings = {
		translations: {
			title: 'OPTIONS'
		}
	};

	var isDesktopDeviceType = libs.client.core.clientInformation.getDeviceType() === 'desktop';
	defaultSettings = libs.client.utils.misc.mergeSettings( defaultSettings, isDesktopDeviceType ? defaultSettingsDesktop : defaultSettingsMobile, true );

	var isHillsVegas = PLATFORM_TYPE === 'hillsLocal' || PLATFORM_TYPE === 'hillsLive';
	defaultSettings = libs.client.utils.misc.mergeSettings( defaultSettings, isHillsVegas ? hillsVegasSettings : inspiredSettings );

	var selectors = {
		container: $( '#button-menu-container' )
	};

	selectors.container.hide();

	var MenuButton = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.ButtonBaseClass.call( this, this._settings, selectors );

		if ( !isHillsVegas ) {
			selectors.container.addClass( 'show-cog' );
		}
	};

	MenuButton.prototype = Object.create( libs.client.presentation.ButtonBaseClass.prototype );
	MenuButton.prototype.constructor = MenuButton;


	libs.client.reels.MenuButton = MenuButton;

}());