goog.provide( 'libs.client.reels.PaytableButton' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.presentation.ButtonBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'PaytableButton',
		fadeInTime: 200,
		fadeOutTime: 200,
		keyMapping: {
			keyCode: null,
			keyChar: null
		},
		model: libs.client.reels.buttonModels.paytable,
		popupSafe: false,
		text: {
			title: {
				fontSize: 19,
				maxWidth: 110,
				multiline: {
					reduceSpaceBetweenLinesBy: 10,
					marginTop: 10
				}
			}
		},
		numMultiLineSpacesToIgnore: -1,
		translations: {
			title: 'PAYTABLE'
		}
	};

	var selectors = {
		container: $( '#button-paytable-container' )
	};

	selectors.container.hide();

	var PaytableButton = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.ButtonBaseClass.call( this, this._settings, selectors );
	};

	PaytableButton.prototype = Object.create( libs.client.presentation.ButtonBaseClass.prototype );
	PaytableButton.prototype.constructor = PaytableButton;


	libs.client.reels.PaytableButton = PaytableButton;

}());