goog.provide( 'libs.client.reels.StakeDownButton' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.presentation.ButtonBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'StakeDownButton',
		fadeInTime: 200,
		fadeOutTime: 200,
		keyMapping: {
			keyCode: null,
			keyChar: null
		},
		model: libs.client.reels.buttonModels.stakeDown,
		popupSafe: false
	};

	var selectors = {
		container: $( '#button-stake-down-container' )
	};

	selectors.container.hide();

	var StakeDownButton = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.ButtonBaseClass.call( this, this._settings, selectors );
	};

	StakeDownButton.prototype = Object.create( libs.client.presentation.ButtonBaseClass.prototype );
	StakeDownButton.prototype.constructor = StakeDownButton;


	libs.client.reels.StakeDownButton = StakeDownButton;

}());