goog.provide( 'libs.client.reels.StakeUpButton' );

goog.require( 'libs.globalEventBus' );
goog.require( 'libs.client.presentation.ButtonBaseClass' );


(function() {
	"use strict";

	var defaultSettings = {
		name: 'StakeUpButton',
		fadeInTime: 200,
		fadeOutTime: 200,
		keyMapping: {
			keyCode: null,
			keyChar: null
		},
		model: libs.client.reels.buttonModels.stakeUp,
		popupSafe: false
	};

	var selectors = {
		container: $( '#button-stake-up-container' )
	};

	selectors.container.hide();

	var StakeUpButton = function( overrideSettings ) {
		this._settings = libs.client.utils.misc.mergeSettings( defaultSettings, overrideSettings );
		libs.client.presentation.ButtonBaseClass.call( this, this._settings, selectors );
	};

	StakeUpButton.prototype = Object.create( libs.client.presentation.ButtonBaseClass.prototype );
	StakeUpButton.prototype.constructor = StakeUpButton;


	libs.client.reels.StakeUpButton = StakeUpButton;

}());