goog.provide( 'libs.client.reels.meterModels' );

goog.require( 'libs.globalEventBus' );


(function() {
	"use strict";

	libs.client.reels.meterModels = {
		baseModel: {
			updateEvents: {
				activityStartAndEnd: [
					'libs.activity.systemState.gamePlaying'
				],
				activityStart: [],
				activityEnd: [],
				event: []
			},
			shouldBeVisible: function() {
				return libs.globalEventBus.isActivityRunning( 'libs.activity.systemState.gamePlaying' );
			}
		},

		balance: {
			updateEvents: {
				activityStartAndEnd: [],
				activityStart: [],
				activityEnd: [],
				event: []
			},

			shouldBeVisible: function() {
				return true;
			}
		},

		jackpotTierOne: {
			updateEvents: {
				activityStartAndEnd: [],
				activityStart: [],
				activityEnd: [],
				event: []
			},

			shouldBeVisible: function() {
				return true;
			}
		},

		jackpotTierTwo: {
			updateEvents: {
				activityStartAndEnd: [],
				activityStart: [],
				activityEnd: [],
				event: []
			},

			shouldBeVisible: function() {
				return true;
			}
		},

		totalStake: {
			updateEvents: {
				activityStartAndEnd: [],
				activityStart: [],
				activityEnd: [],
				event: []
			},

			shouldBeVisible: function() {
				return true;
			}
		},

		totalWin: {
			updateEvents: {
				activityStartAndEnd: [],
				activityStart: [],
				activityEnd: [],
				event: []
			},

			shouldBeVisible: function() {
				return true;
			}
		},

		freespinsJackpotTierOne: {
			updateEvents: {
				activityStartAndEnd: [
					'libs.activity.display.freespinsUI'
				],
				activityStart: [],
				activityEnd: [],
				event: []
			},

			shouldBeVisible: function() {
				return libs.globalEventBus.isActivityRunning( 'libs.activity.display.freespinsUI' );
			}
		},

		freespinsWinnings: {
			updateEvents: {
				activityStartAndEnd: [
					'libs.activity.display.freespinsUI'
				],
				activityStart: [],
				activityEnd: [],
				event: []
			},

			shouldBeVisible: function() {
				return libs.globalEventBus.isActivityRunning( 'libs.activity.display.freespinsUI' );
			}
		}
	};


}());