goog.provide( 'libs.client.reels.reelRebugDisplay' );


(function() {
	"use strict";

	var ReelDebugDisplay = function() {
		this.reelSets = {
			0: "reel_set_1",
			1: "reel_set_2",
			2: "reel_set_3",
			3: "reel_set_4",
			4: "progressive_reels",
			5: "losing_reels",
			6: "free_spins_set_1",
			7: "free_spins_set_2",
			8: "free_spins_set_3",
			9: "free_spins_set_4",
			10: "free_spins_set_5",
			11: "free_spins_progressive_set",
			12: "free_spins_losing_set"
		};
	};

	ReelDebugDisplay.prototype.bandToHumanReadable = function( reelSet ) {
		for ( var key in this.reelSets ) {
			if ( key.toString() === reelSet.toString() ) {
				return this.reelSets[key];
			}
		}
	};

	ReelDebugDisplay.prototype.display = function( reelSet ) {
		var rs = this.bandToHumanReadable( reelSet );
		$( "#body" ).append( "<div class='reelDebug'>" + rs + "</div>" );

	};


	libs.client.presentation.ReelDebug = ReelDebugDisplay;

}());