goog.provide( 'libs.Timeout' );


(function() {
	"use strict";

	var Timeout = function( duration_ms ) {
		this.duration = 0.0;
		this.hasExpired = false;
		this.reset( duration_ms );
	};

	Timeout.prototype.expired = function() {
		return this.hasExpired;
	};

	Timeout.prototype.update = function( timeDelta ) {
		if ( !this.hasExpired ) {
			this.passed += timeDelta;
			if ( this.passed >= this.duration ) {
				this.hasExpired = true;
			}
		}
	};

	Timeout.prototype.reset = function( duration_ms ) {
		this.duration = duration_ms || this.duration;
		this.hasExpired = false;
		this.passed = 0.0;
	};

	Timeout.prototype.getProgress = function() {
		return this.passed / this.duration;
	};


	libs.Timeout = Timeout;

}());