goog.provide( 'libs.server.platformUtils' );

// Utility functions used by buildBetResults.js


(function() {
	"use strict";


	libs.server.platformUtils.randomShuffleArray = function( platformInterface, rngRequestTypeString, array ) {

		// http://en.wikipedia.org/wiki/Fisher%E2%80%93Yates_shuffle
		var targetArray = array.slice( 0 );

		// build an array of random numbers for the shuffle algorithm to consume, each number
		// within the range of length - counter
		var randomNumbers = [];
		for ( var i = 1; i < targetArray.length; ++i ) {
			randomNumbers.push( platformInterface.getRandomNumber( rngRequestTypeString, 0, i ) );
		}

		for ( var counter = targetArray.length - 1; counter >= 1; --counter ) {
			var index = randomNumbers[counter - 1];
			// And swap the last element with it
			var temp = targetArray[counter];
			targetArray[counter] = targetArray[index];
			targetArray[index] = temp;
		}
		return targetArray;
	};


	libs.server.platformUtils.selectRandomElementsFromArray = function( platformInterface, rngRequestTypeString, array, count ) {

		// Basic implementation - shuffle the array then return the first X elements. This could be potentially optimised
		return libs.server.platformUtils.randomShuffleArray( platformInterface, rngRequestTypeString, array ).slice( 0, count );
	};

}());

