<% @LANGUAGE = JScript %>
<!-- #include file="common-include.inc" -->
<script type="text/javascript" language="jscript" runat="server">
	Response.ContentType = "application/xml";
	function Bet() {
		var platformInterface = null;
		var currentSequence = 0;

		try {
			platformInterface = new libs.server.platform.AspServerWilliamHills();
			var currencyMultiplier = game.logic.GameData.williamHill.currencyCodeRate[ platformInterface.getCurrencyCode() ];
			
			// Get selection and validate values sent by client (check with game-data).
			var requestJson = libs.xmlUtils.unwrapJsonFromXml( "jsonRequest", String( Request.Form( "Data" ) ) );
			var betSelectionRequest = requestJson[ 'betSelection' ];
			currentSequence = betSelectionRequest[ 'checkpointId' ];
			
			platformInterface.logMessage( "Bet: sequence="+currentSequence+" starting balance="+platformInterface.getBalance() );
			
			libs.server.validateBetSelectionRequest( betSelectionRequest, platformInterface.getBalance(), currencyMultiplier, requestJson[ 'jackpots' ] );

			// Get state of this bet (if any) on server.
			var stateData = platformInterface.stateLoad();
			var isFirstOperation = !stateData;

			libs.server.validateStateObject( stateData, currentSequence );

			if ( !stateData ) {
				stateData = {};
			}
			
			var persistentState = platformInterface.persistentStateLoad();
			if ( !persistentState ) {
				persistentState = {};
			}
			stateData[ 'serverState' ] = stateData[ 'serverState' ] || {};
			stateData[ 'serverState' ][ 'player' ] = persistentState;
			stateData[ 'postData' ] = requestJson[ 'postData'] ;
			
			// Initial check that jackpots expected can still be met.
			// see if another player has won the jackpot
			if ( isFirstOperation && betSelectionRequest['jackpot'] ) {
				for ( var jackpotId=0; jackpotId< Math.min( platformInterface.getJackpotCount(), betSelectionRequest['jackpot'].length ); ++jackpotId ) {
					var detailsValue = platformInterface.getJackpotValue( jackpotId );
					var expectedValue = betSelectionRequest['jackpot'][ jackpotId ]['money'];
					
					if ( detailsValue < expectedValue ) {
						var anotherPlayerWonMessage = game.logic.GameData.jackpots.list[ jackpotId ].anotherPlayerWonMessage || "Another player has just won a Jackpot.";
						throw( { message: anotherPlayerWonMessage, errorType: "1" } );
					}
				}
			}
			
			var betSelection = betSelectionRequest;
			if ( !isFirstOperation ) {
				// Update bet selection data with original bet formation
				betSelection = stateData[ 'betSelection' ];
				betSelection['checkpointId'] = currentSequence;
			} else {
				stateData[ 'betSelection' ] = betSelectionRequest;
				platformInterface.startFirstBetOperation();
			}
			
			betSelection['total_stake'] = betSelection['stake'].times( betSelection['lines'] );

			platformInterface.logMessage( "Bet: sequence=" + currentSequence+" total_stake=" + betSelection['total_stake'] + " lines=" + betSelection['lines'] );

			var betResults = game.logic.BuildBetResults( platformInterface, stateData );
			
			betResults[ 'isCheckpoint' ] = !isFirstOperation;
			
			if ( betResults['jackpotWins'] ) {
				for ( var i=0; i<betResults['jackpotWins'].length; ++i ) {
					var jp = betResults['jackpotWins'][i];
					platformInterface.logMessage( "Bet: sequence="+currentSequence+" jackpot tier="+(jp['id']+1)+" jackpotWon="+jp['win'].toString());
				}
			}

			var eligibleForJackpot = game.logic.GameData.jackpots && Array.isArray( game.logic.GameData.jackpots.list ) && game.logic.GameData.jackpots.list.length > 0;
			platformInterface.takeStake( currentSequence, betSelection['total_stake'].toN(), betResults['win'].toN(), eligibleForJackpot );
			platformInterface.logMessage( "Bet: sequence=" + currentSequence + " win=" + betResults['win'].toString() );
			
			stateData['lastGame'] = betResults;
			platformInterface.stateSave( stateData, betSelection['total_stake'].toN() );
			platformInterface.persistentStateSave( stateData[ 'serverState' ][ 'player' ] );
			
			var historyStr = libs.server.williamHill.betResultsToHistoryString( platformInterface, stateData, betResults );
			platformInterface.historyUpdate( historyStr );
			platformInterface.logMessage( historyStr );
			
			Response.Write( platformInterface.createXmlResponse( betResults ) );
		}
		catch (err) {
			Response.Write( libs.server.logError( platformInterface, "Bet: sequence=" + currentSequence, err ) );
			Response.End();
		}
	}
	Bet();

</script>
