<% @LANGUAGE = JScript %>
<!-- #include file="common-include.inc" -->
<script type="text/javascript" language="jscript" runat="server">
	Response.ContentType = "application/xml";
	function Close() {
		var platformInterface = null;
		try {
			platformInterface = new libs.server.platform.AspServerWilliamHills();

			var stateData = platformInterface.stateLoad();
			if (!stateData) {
				throw( { message: "No state found when closing bet", suspiciousMessage: "Bet Close: suspicious" } );
			}

			if ( stateData[ 'lastGame' ] && stateData[ 'lastGame' ][ 'expectCheckpoint' ] === true ) {
				throw( { message: "Closing bet not expected", suspiciousMessage: "Bet Close: suspicious" } );
			}

			// Clear the state on server.
			platformInterface.stateClear();
			platformInterface.closeBet();

			platformInterface.logMessage("Bet Close: bet has finished - winnings="+stateData['lastGame']['totalWin'].toString()+" balance="+platformInterface.getBalance() );
			
			// Store history [Hills requested no History of close (IG-31)]
			//var history = new libs.server.History(platformInterface, null, stateData);
			//history.close();
			
			Response.Write( platformInterface.createXmlResponse( {} ) );
		}
		catch(err) {
			Response.Write( libs.server.logError( platformInterface, "Bet Close", err ) );
			Response.End();
		}
	}
	Close();
</script>
