<!--#include file="log.inc"-->
<%  '--------------------
  'FILE:      FOBWHO.inc
  'PURPOSE:   include file for Fixed Odds Betting
  '
  'LAST MODIFICATIONS:
  'Date:      04/08/2005
  'By:      Robin Rawson-Tetley (robin.rawson-tetley@upco.co.uk)
  'Description:   Complete rewrite to call the gameserver
  '--------------------

  Function GetCreditBalance(strID)

    Dim objGameCon
    Dim objGameSvr

    strID = CheckSessionID(strID)

    LogMess strID, "GetCreditBalance id=" & strID

    set objGameCon = createobject("GameServer.GameCon")
    set objGameSvr = objGameCon.Gamesvr

    GetCreditBalance = objGameSvr.GetAccountBalance(strID)

    LogMess strID, "GetCreditBalance returned=" & GetCreditBalance

    set objGameCon = nothing
    set objGameSvr = nothing

  End Function

  Function CreateSession(strAccountID, strCurrencyCode)

    Dim objGameCon
    Dim objGameSvr

    set objGameCon = createobject("GameServer.GameCon")
    set objGameSvr = objGameCon.Gamesvr

    CreateSession = objGameSvr.AddClient(strAccountID, strCurrencyCode)

    LogMess strAccountID, "CreateSession returned=" & CreateSession

    set objGameCon = nothing
    set objGameSvr = nothing

  End Function

  Function DeleteSession(strID)

    Dim objGameCon
    Dim objGameSvr

    set objGameCon = createobject("GameServer.GameCon")
    set objGameSvr = objGameCon.Gamesvr

    objGameSvr.DelClient(strID)

    set objGameCon = nothing
    set objGameSvr = nothing

  End Function

  Function SubtractFromBalance(strID,strCurrencyCode,strGameCreditValue)

    Dim objGameCon
    Dim objGameSvr

    strID = CheckSessionID(strID)

    LogMess strID, "SubtractFromBalance id=" & strID & " currencycode=" & strCurrencyCode &" value=" & strGameCreditValue

    set objGameCon = createobject("GameServer.GameCon")
    set objGameSvr = objGameCon.Gamesvr

    SubtractFromBalance = objGameSvr.SubtractFromBalance(strID, strGameCreditValue, strCurrencyCode )

    LogMess strID, "SubtractFromBalance returned=" & SubtractFromBalance

    set objGameCon = nothing
    set objGameSvr = nothing


  End Function

  Function CashOut(strID,strCurrencyCode,strCashOutValue,strHistory,strCallingMode, strTime)

    Dim objGameCon
    Dim objGameSvr

    strID = CheckSessionID(strID)

    LogMess strID, "CashOut id=" & strID & " currencycode=" & strCurrencyCode &" value=" & strCashOutValue & " trx=" & strHistory

    set objGameCon = createobject("GameServer.GameCon")
    set objGameSvr = objGameCon.Gamesvr

    CashOut = objGameSvr.CashOut(strID, strCurrencyCode, strCashOutValue, strHistory )


    ' Clear the cookie since the session is now invalid
    response.cookies("GameRoom")("ID") = ""
    response.cookies("GameRoom").Expires = #Jan 1, 1998#

    LogMess strID, "CashOut returned=" & CashOut

    set objGameCon = nothing
    set objGameSvr = nothing

  End Function

  Function CheckSessionID(strID)

    ' Some games may give us an account ID, if it's not
    ' a session ID (starts uuid) then look it up from
    ' the cookie instead.

    If Len(strID) >= 4 Then
      If Left(strID, 4) <> "uuid" Then
        strID = request.cookies("GameRoom")("ID")
      End If
    Else
      If Len(strID) = 0 Then
        strID = request.cookies("GameRoom")("ID")
      End If
    End If
    CheckSessionID = strID

  End Function
%>
