<!-- #include file="log.inc" -->
<%
'----------------------------------------------------------------------------------------------------------------
' FILE
' RNG.inc
'
' PURPOSE
' Contains common functionality for accessing the Random Number Generator (RNG)
' server and obtaining numbers for the Fixed Odds Betting (FOB) games estate.
'
' AUTHOR
' Robin Rawson-Tetley
'
' HISTORY
' 10/03/2005  1.0 Created
'
'----------------------------------------------------------------------------------------------------------------

  Public Function GetResults(intID, strSportsCode, strEvent, blnUnique, intUpper, intLower, intSetSize)

    Dim objGameCon
    Dim objGameSvr
    Dim request
    Dim unique
    Dim rngres

    LogMess intID, "RNG: Attaching to game server"
    set objGameCon = createobject("GameServer.GameCon")
    set objGameSvr = objGameCon.Gamesvr

    LogMess intID, "RNG: Requesting random numbers sportsCode=" & strSportsCode & _
      " event=" & strEvent & " unique=" & blnUnique & " upper=" & intUpper & _
      " lower=" & intLower & " size=" & intSetSize

    rngres = objGameSvr.GetNumbersCSV(intID, strSportsCode, strEvent, blnUnique, intUpper, intLower, intSetSize)

    LogMess intID, "RNG: Received response " & rngres

    set objGameCon = nothing
    set objGameSvr = nothing

    ' Return the results to the calling process
    GetResults = rngres

  End Function
%>