<!-- #include file="./FOBWHO.inc" -->
<%
' *--------------------------------------------------------------------------------
' Accessor Functions for getting values for all new Arcade games
' *--------------------------------------------------------------------------------
' * Author: Daniel triggs (AshGaming)
' * 24/Sept/07 (DTriggs) Modified the response for the two IsInArray functions to return Null
'*!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
'* NOTE - the validationFunctions.asp file and the errorHandlingFunctions.as MUST also be included for some of these functions to work!!
' Also the following values must all have been set for the error to be logged correctly: objGameSvr,objGameCon,ID, strGameCode
'*!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

'Used to get a parameter value safely from the client (html encodes data etc)
'It checks all the characters in the parameter are within the whitelist specified and also that the total length is not above the maximum length given
Function getParameterSafely(s_name,s_whitelist,i_maxLength)
	on error resume next
	dim s_value,b_valid
	s_value = Trim(request.Form(s_name))
	if len(s_value)<1 then ' value was blank
		returnError "Invalid parameter","Error getting the " & s_name & " parameter - it was blank",true
	Else
		b_valid = isValidFormatAndLength(s_value,s_whitelist,i_maxLength)
		if err.number<>0 or b_valid=false then
			returnError "Invalid parameter","The " & s_name & " parameter was invalid (too long or a character was not on whitelist or an error occurred).  Value returned was " & Left(Server.HTMLEncode(s_value),i_maxLength+10) & " " & Err.Description,true
		End if
	End if
	getParameterSafely = s_value
End Function

'This function checks whether the given string is in the given array and returns the position in the array of the first instance of it if it is there or null if it isnt. Also returns null if error in input
Function isInArray(ByVal s_string,a_array) ' rename posInArray?
	on error resume next
	dim i,i_arrayUBound,i_position
	i_position = Null
	s_string = CStr(s_string)
	i_arrayUBound = UBound(a_array)
	if i_arrayUBound>=0 then ' there was data sent for the array so continue check
		for i = 0 to i_arrayUBound ' loop through all the characters in the bet val one at time and check they only contain the values in the whitelist
			if CStr(a_array(i)) = s_string then
				i_position = i
				exit for
			end if
		next
		isInArray = i_position
	Else ' no array sent so return false
		isInArray = Null
	End if
	if Err.number<>0 then
'		Err.clear
		isInArray = Null
	End if
End Function

'This function is the same as isInArray but for numbers - so "1.00", "1.0" and "1" will all be counted as the same (which they wouldnt if they were checked as strings)
Function isInDoubleArray(ByVal s_number,a_array)
	on error resume next 'needed incase there is an error converting the value given to a double (eg string was given instead)
	dim i,i_arrayUBound,i_value,i_position
	i_position = Null
	s_number = CDbl(s_number)
	i_arrayUBound = UBound(a_array)
	if i_arrayUBound>=0 then ' there was data sent for the array so continue check
		for i = 0 to i_arrayUBound ' loop through all the characters in the bet val one at time and check they only contain the values in the whitelist
			if CDbl(a_array(i)) = s_number then
				i_position = i
				exit for
			end if
			If Err.Number<>0 then
				Err.clear
				i_position = Null
				exit for
			End if
		next
		isInDoubleArray = i_position
	Else ' no array sent so return false
		isInDoubleArray = Null
	End if
End Function

%>