<%
' *--------------------------------------------------------------------------------
' Error handling functions for all new arcade games
' *--------------------------------------------------------------------------------
' * Author: Daniel triggs (AshGaming)

'This subroutine sends an error to the game and writes the given error message to the log, it also ends the response so code after this call is not run
'NOTE: this function requires the following variables to be set before calling it:
'objGameSvr,objGameCon,ID, strGameCode
'apart from strGameCode (which is set in gamecommon.inc) these variables all get set by just including the set_server.inc file
Sub returnError(client_message, log_message,b_suspicious) ' b_suspicious must be included - should be either True (for suspicious errors) or False - for other errors
	on error resume next
	Err.clear
	'remove newline characters from string written to log
	log_message = Replace(log_message, "\r", "")
	log_message = Replace(log_message, "\n", "")
	log_message = Replace(log_message, vbCrLf, "")

	Dim s_GameCode ' by doing it like this it means it still write to the log even if strGameCode has not been set 
	s_GameCode="-"
	s_GameCode = strGameCode ' (this line gets skipped if strGameCode has not been set - so just uses "-" instead of gamecode but still writes to log)
	if Err.Number<>0 then ' if objGameSvr has not been set up then will not be able to log this problem!!!
		Response.Write("&info1=Game code not set")
		Err.clear
	End if

	If b_suspicious=true then
		objGameSvr.LogSuspicious ID,s_GameCode & " " & log_message 'as requested by corsaire - the html encoding has now been removed so the full data is written to log unencoded
	Else 
		objGameSvr.LogError ID, s_GameCode & " " & log_message	
	End if

	
	'Used to Cashout automatically
	dim rlevel, credit, AccountID
	dim i,valid

	rlevel = objGameSvr.GetRepLevel()
	AccountID = objGameSvr.GetAccountID(ID)
	credit = objGameSvr.GetCreditValue(ID)

	valid = CashOut(AccountID, s_currCode, credit, "", "D", gt())
	if Err.Number<>0 then ' if objGameSvr has not been set up then will not be able to log this problem!!!
		Response.Write("&info2=Game code not set")
		Err.clear
	End if
	if trim(valid) = "" then
		objGameSvr.LogMess ID, "CashOut Credit AccountID: " & AccountID & " CurrCode: " & s_currCode & " Value: " & credit
	else
		objGameSvr.LogError ID, "CashOut Credit AccountID: " & AccountID & " CurrCode: " & s_currCode & " Value: " & credit & " Result:" & valid
	end if

	objGameSvr.DelClient ID 'delete the client from session (cash out)
	
	Response.Write("&errorStr="&client_message)

	if Err.Number<>0 then ' if objGameSvr has not been set up then will not be able to log this problem!!!
		Response.Write("&info3=Error logging this problem on server" & Err.description)
	End if
	Session.Abandon 'quit the users session
	set objGameSvr = nothing 'clear the server variables
	set objGameCon = nothing
	Response.End 'quit running the rest of the code
 
End Sub
%>