<!DOCTYPE html>

<html class="no-js">
<head>
	<title>Goddess of the Amazon</title>

	<meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
	<meta charset="utf-8">
	<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>

	<link href="assets/css/plugins-desktop.css" media="screen, projection" rel="stylesheet" type="text/css"/>
	<link href="assets/css/style-desktop.css" media="screen, projection" rel="stylesheet" type="text/css"/>

	<!--[if IE ]>
	<link href="assets/css/ie.css" media="screen, projection" rel="stylesheet" type="text/css"/>
	<![endif]-->
</head>

<body class="desktop" id="bodyToFullScreen">

	<div id="loading-blackout" style="z-index: 1000; position: absolute; background: #000000; width: 1000%; height: 1000%; display: block;">&nbsp;</div>

	<div id="viewport" class="clearfix">

		<div class="background normal preventTouchMove" id="background-normal"><img src="assets/graphics/960x540/Background/Desktop/RS_Background.jpg" height="100%" alt=""/></div>
		<div class="background freespins preventTouchMove" id="background-freespins"><img src="assets/graphics/960x540/Background/Desktop/FS_Background.jpg" height="100%" alt=""/></div>

		<div class="loading-screen-bg" id="background-loading"></div>
		<div class="loading-screen-fg" id="loading-container">
			<div class="game-logo"></div>
			<div class="wh-logo"></div>
			<div id="loading-progress-back"></div>
			<div id="loading-progress-front"></div>
		</div>

		<div id="intro-video-container">
			<div class="box">
				<video id="intro-video-player" controls="controls" autoplay="false" preload="auto">
					<source type="video/webm" src="assets/videos/Desktop/Intro.webm" />
					<source type="video/mp4" src="assets/videos/Desktop/Intro.mp4" />
					<source type="video/ogg" src="assets/videos/Desktop/Intro.ogv" />
				</video>
				<div class="buttons">
					<div class="skip"><span class="button-text-single-line" id="intro-video-skip">SKIP INTRO</span></div>
				</div>
			</div>
		</div>

		<div class="preventTouchMove" id="header">
			<div class="primary-nav">
				<ul class="left-nav">
					<li id="menu-options">
						<a href="#">
							<span class="left-border"></span>
							<span class="right-border"></span>Options <span class="icon options"></span>
						</a>
						<div class="dropdown">
							<ul class="sub-menu">
								<li>
									<a id="menuHowToPlay" class="sub-menu-item"  href="#">HOW TO PLAY THIS GAME</a>
								</li>
								<li>
									<a id="menuBettingHistory" class="sub-menu-item">BETTING HISTORY</a>
								</li>
								<li>
									<a id="menuToggleSound" class="sub-menu-item" data-toggle="OFF" href="#">
										SOUND <span class="toggle">OFF</span>
									</a>
								</li>
								<li>
									<a id="menuToggleTurbo" class="sub-menu-item" data-toggle="OFF" href="#">
										TURBO MODE <span class="toggle">OFF</span>
									</a>
								</li>
								<!--<li>
									<a id="menuToggleBackgroundSounds" class="sub-menu-item"  href="#">BACKGROUND
										SOUND <span class="toggle">OFF</span></a>
								</li>-->
							</ul>
						</div>
					</li>
					<li>
						<a href="#" id="menuHelp">
							<span class="left-border"></span>
							<span class="right-border"></span>Help <span class="icon help"></span>
						</a>
					</li>
					<li>
						<a href="#" id="menuMute">
							<span class="left-border"></span>
							<span class="right-border"></span>Mute <span class="icon mute"></span>
						</a>
					</li>
				</ul>
				<ul class="right-nav">
					<li>
						<a href="#" id="menuPlayForReal">
							<span class="left-border"></span>
							<span class="right-border"></span>Play For Real <span class="icon play"></span>
						</a>
						<a href="#" id="menuCashier">
							<span class="left-border"></span>
							<span class="right-border"></span>
							Cashier
						</a>
					</li>
					<li>
						<a href="#" id="menuExit">
							<span class="left-border"></span>
							<span class="right-border"></span>Exit <span class="icon exit"></span>
						</a>
					</li>
				</ul>
				<div class="balance" id="meter-balance-container">
					<span class="title" id="meter-balance-title">&nbsp;</span>
					<div class="value-container">
						<span class="value" id="meter-balance-value">&nbsp;</span>
					</div>
					<span class="balance-points demo">PTS</span>
				</div>
			</div>
		</div>

		<div class="main container" id="main" data-role="page">

			<canvas class="canvas base preventTouchMove" id="canvas-base" style="background: none transparent; margin:0;"></canvas>
			<canvas class="canvas top preventTouchMove" id="canvas-top" style="background: none transparent; margin:0;"></canvas>

			<!-- TOP ROW START -->
			<div class="top-row preventTouchMove">
				<div class="jackpot silver" id="jackpot-silver-container">
					<span class="title" id="jackpot-silver-title">&nbsp;</span>
					<span class="value-container">
						<span class="value" id="jackpot-silver-value">&nbsp;</span>
					</span>
				</div>
				<div class="jackpot gold" id="jackpot-gold-container">
					<span class="title" id="jackpot-gold-title">&nbsp;</span>
					<span class="value-container">
						<span class="value" id="jackpot-gold-value">&nbsp;</span>
					</span>
				</div>

				<div class="meter freeSpinsTotal" id="meter-freespinstotalwin-container">
					<span class="freeSpinTotalWinTitle" id="meter-freespinstotalwin-title">&nbsp;</span>
					<span class="value-container">
						<span class="value freespins-winnings-value" id="meter-freespinstotalwin-value">&nbsp;</span>
					</span>
				</div>

				<div class="freespins-jackpot-meter" id="jackpot-freespins-container">
					<span class="title" id="jackpot-freespins-title">&nbsp;</span>
					<span class="value-container">
						<span class="value" id="jackpot-freespins-value">&nbsp;</span>
					</span>
				</div>

				<div id="message-box-container">
					<span class="message" id="message-box-message">&nbsp;</span>
				</div>

				<div class="freespins-progress-bars progress-bar" id="freespins-progressbar-front">&nbsp;</div>
				<div class="freespins-progress-bars background-bar" id="freespins-progressbar-back">&nbsp;</div>
				<div id="freespins-progress-container">
					<span id="freespins-progress-title">&nbsp;</span>
				</div>
			</div>
			<!-- TOP ROW END -->

			<!-- BOTTOM ROW START -->
			<div class="bottom-row clear preventTouchMove">
				<div id="extra-info-panel"><span id="five-extra" class="number yellow">&nbsp;</span><span id="extra-spins-red" class="red">&nbsp;</span><span id="in-a-row" class="yellow">&nbsp;</span><span id="eight" class="number yellow">&nbsp;</span><span id="extra-spins-yellow" class="yellow">&nbsp;</span></div>
				<div id="coin-panel"></div>

				<nav>
					<a class="button paytable inline yellow rectangle-small" id="button-paytable-container" data-name="paytable">
						<span class="button-text-single-line" id="button-paytable-title">&nbsp;</span>
					</a>

					<div class="meter stake small" id="meter-stake-container">
						<span class="title" id="meter-stake-title">&nbsp;</span>
						<span class="value-container">
							<span class="value" id="meter-stake-value">&nbsp;</span>
						</span>
						<div class="arrows" id="button-stake-container">
							<a class="stakeUp" id="button-stake-up" data-name="stakeUp"></a>
							<a class="stakeDown" id="button-stake-down" data-name="stakeDown"></a>
						</div>
					</div>

					<div class="meter totalWin" id="meter-totalwin-container">
						<span class="title" id="meter-totalwin-title">&nbsp;</span>
						<span class="value-container">
							<span class="value" id="meter-totalwin-value">&nbsp;</span>
						</span>
					</div>

					<div id="autoplay-steps-container">
						<a class="button bonus blue rectangle-small autoplayStep" data-value="bonus" href="#">
							<span class="button-text-double-line-top">UNTIL</span>
							<span class="button-text-double-line-bottom">BONUS</span>
						</a>
						<a class="button blue rectangle-small autoplayStep" data-value="40" href="#"><span class="button-text-single-line">40</span></a>
						<a class="button blue rectangle-small autoplayStep" data-value="30" href="#"><span class="button-text-single-line">30</span></a>
						<a class="button blue rectangle-small autoplayStep" data-value="20" href="#"><span class="button-text-single-line">20</span></a>
						<a class="button blue rectangle-small autoplayStep" data-value="10" href="#"><span class="button-text-single-line">10</span></a>
					</div>

					<a class="button autoplay blue rectangle-small" id="button-autoplay-container" data-name="autoplay">
						<span class="button-text-single-line" id="button-autoplay-text-single-line">&nbsp;</span>
						<span class="button-text-double-line-top" id="button-autoplay-text-double-line-top">&nbsp;</span>
						<span class="button-text-double-line-bottom" id="button-autoplay-text-double-line-bottom">&nbsp;</span>
					</a>

					<a class="button spin green rectangle" id="button-spin-container" data-name="spin">
						<span class="button-text-single-line" id="button-spin-title">&nbsp;</span>
					</a>
				</nav>

				<div id="freespins-tooltip-text">&nbsp;</div>

			</div>
			<!-- BOTTOM ROW END -->

			<div id="menuNotification">
				<div class="close-button close" data-name="historyClose">X</div>
				<p></p>
				<div class="cta-container"></div>
			</div>

			<div class="history" id="historyListDisplay">
				<div class="historyButton close historyClose close-button" data-name="historyClose">X</div>
				<h1 id="historyListCaption">IGNORE THIS</h1>
				<div class="table-container">
					<table id="historyListTable" cellpadding="0" cellspacing="0">
						<thead>
						<tr>
							<th>TIME</th>
							<th>ACTION</th>
							<th>REF</th>
							<th>AMOUNT</th>
							<th>WON</th>
							<th>STAKE PER LINE</th>
							<th>SELECTED</th>
							<th>RESULTS</th>
							<th>&nbsp;</th>
						</tr>
						</thead>
						<tbody>

						</tbody>
					</table>
				</div>
				<a class="historyPrint historyButton menuButton align-right" data-name="historyPrint">
					<span>PRINT</span>
				</a>
			</div>

			<div class="overlays preventTouchMove">

				<div class="freespinsintro" id="freespins-intro-container">
					<div class="box">
						<p class="text" id="freespins-intro-line1">&nbsp;</p>
						<p class="text" id="freespins-intro-line2">&nbsp;</p>
						<p class="text" id="freespins-intro-line3">&nbsp;</p>
						<p class="text" id="freespins-intro-line4">&nbsp;</p>
						<span class="text" id="freespins-intro-bottom">&nbsp;</span>
					</div>
				</div>

				<div class="freespinsextra preventTouchMove" id="freespins-extra-container">
					<div class="box">
						<p class="text" id="freespins-extra-line1">&nbsp;</p>
						<p class="text" id="freespins-extra-line2">&nbsp;</p>
						<p class="text" id="freespins-extra-line3">&nbsp;</p>
						<p class="text" id="freespins-extra-line4">&nbsp;</p>
						<p class="text" id="freespins-extra-line5">&nbsp;</p>
					</div>
				</div>

				<div class="freespinsoutro" id="freespins-outro-container">
					<div class="box">
						<p class="text" id="freespins-outro-line1">&nbsp;</p>
						<p class="text" id="freespins-outro-line2">&nbsp;</p>
						<p class="text" id="freespins-outro-line3">&nbsp;</p>
						<span class="boxCash">
							<span class="textCash" id="freespins-outro-line4">&nbsp;</span>
						</span>
					</div>
				</div>

				<div class="big-winner" id="big-winner-container">
					<div class="image"></div>
					<div class="title" id="big-winner-title">&nbsp;</div>
					<div class="value" id="big-winner-value">&nbsp;</div>
				</div>

				<div class="error-screen preventTouchMove" id="error-screen-container">
					<div class="box">
						<p class="message" id="error-screen-message">&nbsp;</p>
						<div class="buttons">
							<div class="menuButton positive inline" id="error-screen-button-positive-container"><span class="button-text" id="error-screen-button-positive-title">&nbsp;</span></div>
							<div class="menuButton negative inline" id="error-screen-button-negative-container"><span class="button-text" id="error-screen-button-negative-title">&nbsp;</span></div>
						</div>
					</div>
				</div>

			</div>

			<div class="clear"></div>

		</div>

	</div>

	<audio id="tag-sound-player" preload="auto">
		<source src="assets/sounds/mono/reels/ReelSpin1.ogg" type="audio/ogg">
		<source src="assets/sounds/mono/reels/ReelSpin1.mp3" type="audio/mp3">
	</audio>

	<script>window.jQuery || document.write('<script type="text/javascript" src="js/Libs/client/thirdParty/jquery-1.10.2.min.js"><\/script>')</script>

	<!--[if IE ]>
	<script type="text/javascript" src="js/Libs/client/thirdParty/PIE.js"></script>
	<![endif]-->

	<!--[ICT-SCRIPTS-START:thirdparty]-->
	<!-- All text between ICT-SCRIPTS-START and ICT-SCRIPTS-END will be removed by the interactive release tool and replaced with the minified versions -->

	<!-- not strictly 3rd party, but required as we use these jquery polyfills in 3rd party code as well as 1st party code -->
	<script type="text/javascript" src="js/Libs/client/utils/polyfillsjquery.js"></script>

	<script type="text/javascript" src="js/Libs/client/thirdParty/jquery.mobile.custom.min.js"></script>
	<!--<script src="js/Libs/client/thirdParty/mediaelement/build/jquery.js"></script>-->
	<script type="text/javascript" src="js/Libs/client/thirdParty/mediaelement/build/mediaelement-and-player.min.js"></script>
	<script type="text/javascript" src="js/Libs/client/thirdParty/screenfull.min.js"></script>
	<!-- magnific has a custom fix to use touch events rathar than click -->
	<script type="text/javascript" src="js/Libs/client/thirdParty/magnific-popup.min.js"></script>
	<!-- royalslider has a custom fix to allow touching of stakes for mobile phones, touching instead of click for arrows left
	 and right, and disabling visibility on slideInner. If updating, make sure this fix is in the new version -->
	<script type="text/javascript" src="js/Libs/client/thirdParty/jquery.royalslider.min.js"></script>
	<!-- preloadjs has a custom fix to increase loading timeouts ( loadTimeout= ). If updating, make sure this fix is in the new version -->
	<script type="text/javascript" src="js/Libs/client/thirdParty/preloadjs-NEXT.min.js"></script>
	<!-- soundjs libs file has custom fix for HTC. If updating soundjs, make sure this fix is in new version -->
	<script type="text/javascript" src="js/Libs/client/thirdParty/soundjs-next-2014-01-29-HTC_Fix.min.js"></script>
	<script type="text/javascript" src="js/Libs/client/thirdParty/tweenjs-0.5.1.min.js"></script>

	<script type="text/javascript" src="js/Libs/client/thirdParty/modernizr-2.6.2.min.js"></script>

	<!--[ICT-SCRIPTS-END]-->
	<!--[ICT-SCRIPTS-START:game]-->

	<script type="text/javascript" src="js/Libs/client/utils/polyfills.js"></script>
	<script type="text/javascript" src="js/Libs/common/namespace.js"></script>
	<script type="text/javascript" src="js/Libs/common/log.js"></script>
	<script type="text/javascript" src="js/Libs/common/arrayPolyfills.js"></script>
	<script type="text/javascript" src="js/Libs/common/eventBus.js"></script>
	<script type="text/javascript" src="js/Libs/common/mersenneTwister.js"></script>
	<script type="text/javascript" src="js/Libs/common/updateTimer.js"></script>
	<script type="text/javascript" src="js/Libs/common/timeout.js"></script>
	<script type="text/javascript" src="js/Libs/common/stateMachine.js"></script>
	<script type="text/javascript" src="js/Libs/common/moneyformat.js"></script>
	<script type="text/javascript" src="js/Libs/common/xmlUtils.js"></script>

	<script type="text/javascript" src="js/version.js"></script>
	<script type="text/javascript" src="js/deviceCompatibilityDesktop.js"></script>
	<script type="text/javascript" src="js/Libs/client/utils/clientInformation.js"></script>
	<script type="text/javascript" src="js/Libs/client/utils/utils.js"></script>

	<script type="text/javascript" src="js/Libs/server/outcomeTable.js"></script>
	<script type="text/javascript" src="js/Libs/server/awardsTable.js"></script>
	<script type="text/javascript" src="js/Libs/server/slotgamehelpers.js"></script>
	<script type="text/javascript" src="js/logic/gamedata.js"></script>

	<script type="text/javascript" src="js/translations.js"></script>
	<script type="text/javascript" src="js/settings.js"></script>
	<script type="text/javascript" src="js/settings_desktop.js"></script>
	<script type="text/javascript" src="js/Libs/client/Presentation/insertBackdrop.js"></script>
	<script type="text/javascript" src="js/DOM_common.js"></script>
	<script type="text/javascript" src="js/DOM_desktop.js"></script>

	<script type="text/javascript" src="js/Libs/client/presentation/errorScreen.js"></script>

	<script type="text/javascript" src="js/Libs/client/core/animatedSprite.js"></script>
	<script type="text/javascript" src="js/Libs/client/core/canvasText.js"></script>
	<script type="text/javascript" src="js/Libs/client/core/hapticPlayer.js"></script>
	<script type="text/javascript" src="js/Libs/client/core/soundPlayer.js"></script>
	<script type="text/javascript" src="js/Libs/client/core/sprite.js"></script>
	<script type="text/javascript" src="js/Libs/client/core/spriteGroup.js"></script>
	<script type="text/javascript" src="js/Libs/client/core/surface.js"></script>
	<script type="text/javascript" src="js/Libs/client/core/tickUpdateManager.js"></script>

	<script type="text/javascript" src="js/Libs/client/presentation/canvasButton.js"></script>
	<script type="text/javascript" src="js/Libs/client/presentation/displayHandler/desktopDisplayHandler.js"></script>
	<script type="text/javascript" src="js/Libs/client/presentation/htmlButton.js"></script>
	<script type="text/javascript" src="js/Libs/client/presentation/messageBar.js"></script>
	<script type="text/javascript" src="js/Libs/client/presentation/particleFountain.js"></script>
	<script type="text/javascript" src="js/Libs/client/presentation/window.js"></script>

	<script type="text/javascript" src="js/helpers_UI.js"></script>

	<script type="text/javascript" src="js/Libs/server/platform/debugFunctions.js"></script>
	<script type="text/javascript" src="js/Libs/client/platform/hillsVegas/fakeServer.js"></script>
	<script type="text/javascript" src="js/Libs/client/platform/hillsVegas/liveServer.js"></script>
	<script type="text/javascript" src="js/Libs/client/platform/hillsVegas/localServer.js"></script>
	<script type="text/javascript" src="js/Libs/client/platform/hillsVegas/menu/desktopMenu.js"></script>
	<script type="text/javascript" src="js/Libs/client/platform/hillsVegas/historyDisplay.js"></script>
	<script type="text/javascript" src="js/Libs/client/platform/hillsVegas/urlChanger.js"></script>

	<script type="text/javascript" src="js/Libs/client/utils/fpsDisplay.js"></script>
	<script type="text/javascript" src="js/Libs/client/utils/ReelDisplayDebug.js"></script>
	<script type="text/javascript" src="js/Libs/client/utils/visualLoader.js"></script>

	<script type="text/javascript" src="js/Libs/server/platform/localClient.js"></script>

	<script type="text/javascript" src="js/Libs/server/betvalidation.js"></script>
	<script type="text/javascript" src="js/Libs/server/slotgamelogic.js"></script>
	<script type="text/javascript" src="js/logic/buildbetresults_mystery.js"></script>
	<script type="text/javascript" src="js/logic/buildbetresults.js"></script>
	<script type="text/javascript" src="js/logic/buildinitresponse.js"></script>

	<script type="text/javascript" src="js/Libs/client/slots/reelDataModel.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/buttonStateModel.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/linesModel.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/linesView.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/reelModel.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/reelView.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/winAnimation.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/slotMachineModel.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/reelAnticipation.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/lineWinSplash.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/reelDragger.js"></script>

	<script type="text/javascript" src="js/createFakeServer.js"></script>
	<script type="text/javascript" src="js/createHillsVegasServer.js"></script>
	<script type="text/javascript" src="js/createLocalServer.js"></script>
	<script type="text/javascript" src="js/keyboardMapping.js"></script>

	<script type="text/javascript" src="js/Libs/client/utils/services.js"></script>
	<script type="text/javascript" src="js/Libs/client/slots/slotsGameModel.js"></script>

	<script type="text/javascript" src="js/freeSpins_coins.js"></script>
	<script type="text/javascript" src="js/feature_freeSpins.js"></script>
	<script type="text/javascript" src="js/feature_hiddenWilds.js"></script>
	<script type="text/javascript" src="js/game_MainSlots.js"></script>

	<script type="text/javascript" src="js/manifest_audio.js"></script>
	<script type="text/javascript" src="js/manifest_symbols.js"></script>
	<script type="text/javascript" src="js/manifest_slot.js"></script>
	<script type="text/javascript" src="js/main.js"></script>

	<!--[ICT-SCRIPTS-END]-->

	<div id="browser-issue" style="position: absolute; top:0; left:0; height: 100%; width: 100%; background: #000000; z-index: 99999999; display:none; font-family:Arial, Helvetica, sans-serif;">
		<div id="browser-issue-please-update" style="display:none;">
			<p style="margin: 0 auto; font-size: 32px; color: #ffff00; text-align: center;">This game requires that you use a modern browser</p><br />
			<p style="margin: 0 auto; font-size: 26px; color: #ffffff; text-align: center;">Please update your browser to either:<br />
				<br /><a href="http://www.google.com/chrome" style="color: #cccccc">Google Chrome</a>
				<br /><a href="http://www.mozilla.org/en-US/firefox/new/" style="color: #cccccc;">Firefox</a>
				<br /><a href="http://www.microsoft.com/ie" style="color: #cccccc;">Internet Explorer 9 or above</a>.
			</p>
		</div>
		<div id="browser-issue-invalid-settings" style="display:none;">
			<p style="margin: 0 auto; font-size: 32px; color: #ffff00; text-align: center;">The settings on your browser are not compatible with this game.</p>
			<br />
			<p style="margin: 0 auto; font-size: 26px; color: #ffffff; text-align: center; ">Please contact Customer Service for assistance
			<br />
			</p>
		</div>
	</div>

</body>
</html>
