goog.provide( 'libs.server.AwardsTable' );


(function() {
	"use strict";

	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// AwardsTable - helper class to calculate awards for a given symbol run

	var AwardsTable = function( name, symbolMap, awardTable ) {

		this._name = name;
		this._symbolMap = symbolMap;
		this._awardTable = awardTable;
	};


	AwardsTable.prototype.getWinlineMultiplier = function( symbol, run ) {

		var symbolIndex = this._symbolMap.shortNameToIndex( symbol );
		if ( this._awardTable[run] ) {
			if ( isFinite( this._awardTable[run][symbolIndex] ) ) {
				return this._awardTable[run][symbolIndex];
			}
		}
		throw { message: "Invalid symbol and run passed to AwardsTable.getWinlineMultiplier() (symbol:" + symbol + " run:" + run + ")" };
	};


	AwardsTable.prototype.calculateAward = function( stakePerLine, symbol, run ) {

		return stakePerLine.times( this.getWinlineMultiplier( symbol, run ) );
	};


	AwardsTable.prototype.getRunsArray = function() {

		return Object.keys( this._awardTable );
	};


	libs.server.AwardsTable = AwardsTable;


	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


}());

