goog.provide( 'libs.server.SymbolMap' );


(function() {
	"use strict";


	var SymbolMap = function( symbolArray ) {

		this._symbolArray = symbolArray.slice( 0 );
	};


	SymbolMap.prototype.shortNameExists = function( shortName ) {

		return this._symbolArray.some( function( sym ) {
			return shortName === sym.shortName;
		} );
	};


	SymbolMap.prototype.longNameExists = function( longName ) {

		return this._symbolArray.some( function( sym ) {
			return longName === sym.longName;
		} );
	};


	SymbolMap.prototype.shortNameToIndex = function( shortName ) {

		for ( var i = 0; i < this._symbolArray.length; ++i ) {
			var sym = this._symbolArray[i];
			if ( sym.shortName === shortName ) {
				return i;
			}
		}
		throw new Error( "Symbol shortname not found " + shortName );
	};


	SymbolMap.prototype.shortNameToLongName = function( shortName ) {

		for ( var i = 0; i < this._symbolArray.length; ++i ) {
			var sym = this._symbolArray[i];
			if ( sym.shortName === shortName ) {
				return sym.longName;
			}
		}
		throw new Error( "Symbol shortname not found " + shortName );
	};


	SymbolMap.prototype.longNameToShortName = function( longName ) {

		for ( var i = 0; i < this._symbolArray.length; ++i ) {
			var sym = this._symbolArray[i];
			if ( sym.longName === longName ) {
				return sym.shortName;
			}
		}
		throw new Error( "Symbol longname not found " + longName );
	};


	libs.server.SymbolMap = SymbolMap;


}());
