/*jslint node: true */

"use strict";

/**
 * Entry point for NodeJS server
 */
var log = require( './log.js' );
var ClientManager = require( './clientManager.js' ).ClientManager;
var commandLineArgs = require( 'optimist' ).boolean( 'debug' ).argv;


function checkArgs() {
	// load in game logic files, location of which specified on command line
	var logicPath = commandLineArgs.logicPath;
	if ( !logicPath || logicPath.length === 0 ) {
		throw new Error( "Game logic folder must be specified on command line" );
	}
	console.log( "Using logic path " + logicPath );
}


function start() {

	checkArgs();
	var port = commandLineArgs.port ? parseInt( commandLineArgs.port, 10 ) : 8125;

	log.info( 'Starting server with arguments: ' + JSON.stringify( commandLineArgs ) );
	if ( commandLineArgs.debug ) {
		console.log( "Running with --debug option. Additional information will be outputted to the log file" );
	}

	new ClientManager( port, commandLineArgs.host, commandLineArgs );
}


//try {
start();
//}
//catch ( err ) {
//	console.log( err );
//}