goog.provide('game.deviceCompatibility');


(function(){
	"use strict";

	var deviceCompatibility = {
		deviceType: "mobile",
		whitelist: [
			{ name: "Samsung Galaxy S2", uaAND: ["GT-I910"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5","Android 4.1"] },
			{ name: "Samsung Galaxy S3", uaAND: ["GT-I930"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5","Android 4.1","Android 4.3"] },
			{ name: "Samsung Galaxy S4", uaAND: ["GT-I950"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5","Android 4.2","Android 4.3"] },
			{ name: "Samsung Galaxy S5", uaAND: ["SM-G900"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5","Android 4.2","Android 4.3"] },
			{ name: "Samsung Galaxy Note II", uaAND: ["GT-N710"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5","Android 4.1","Android 4.3"] },
			{ name: "Sony Xperia Z", uaAND: ["C660"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5"] },
			{ name: "HTC One", uaAND: ["HTC_One"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5","Android 4.2","Android 4.3","Android 4.4"] },
			{ name: "HTC One", uaAND: ["Chrome/11.0.696.34 Safari/534.24"], uaOR: [] },
			{ name: "LG Nexus 4", uaAND: ["Nexus 4"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5"] } ,
			{ name: "LG Nexus 5", uaAND: ["Nexus 5"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5"] },
			{ name: "Asus Nexus 7", uaAND: ["Nexus 7"], uaOR: ["Chrome/2","Chrome/3","Chrome/4","Chrome/5"] },
			{ name: "iPhone", uaAND: ["iPhone"], uaOR: ["OS 6_", "OS 7_", "OS 8_"] },
			{ name: "iPad", uaAND: ["iPad"], uaOR: ["OS 6_", "OS 7_", "OS 8_"] }
		],
		blacklist: [
			{ name: "Samsung Galaxy Ace", uaAND: ["GT-S583"] },
			{ name: "Samsung Galaxy Tab 3", uaAND: ["SM-T210"] },
			{ name: "iPhone", uaAND: ["iPhone"], uaOR: ["OS 1_", "OS 2_", "OS 3_", "OS 4_"] },
			{ name: "iPad", uaAND: ["iPad"], uaOR: ["OS 1_", "OS 2_", "OS 3_", "OS 4_"] },
			{ name: "Windows Phone 8.1", uaAND: ["Windows Phone 8.1"] }
		]
	};


	game.deviceCompatibility = deviceCompatibility;

}());