goog.provide( 'game.eventBusNames' );

goog.require( 'libs.globalEventBus' );


(function() {
	"use strict";

	game.eventNames = {};
	game.activityNames = {};

	// events
	game.eventNames.freespins = [
		'game.event.request.playFreespinsMusic', // arg0: bool (forcePlay)
		'game.event.request.stopFreespinsMusic'
	];

	game.eventNames.character = [
		'game.event.request.playCharacterAnimation',
		'game.event.request.fadeOutCharacterAnimation', // arg0: number (timeToFade)
		'game.event.request.fadeInCharacterAnimation' // arg0: number (timeToFade)
	];


	// activites
	game.activityNames.freespins = [
		'game.activity.freespins.modalIntro',
		'game.activity.freespins.modalExtra',
		'game.activity.freespins.modalOutro'
	];

	game.activityNames.character = [
		'game.activity.character.animating'
	];


	libs.globalEventBus.registerEventNames( game.eventNames, game.activityNames );

}());