(function() {
	"use strict";

	var hillsVegasGameCodeDesktop = 'IB';

	var virgoMenuActions = {
		PAYTABLE: 'PAYTABLE',
		HELP: 'HELP',
		ADDTOHOMESCREEN: 'ADDTOHOMESCREEN',
		LOBBY: 'LOBBY',
		DEPOSIT: 'DEPOSIT',
		BANKING: 'BANKING',
		SOUND: 'SOUND',
		TURBO: 'TURBO'
	};

	var virgoMenuGraphics = {
		PAYTABLE: 'PAYTABLE',
		HELP: 'HELP',
		ADDTOHOMESCREEN: 'ADDTOHOMESCREEN',
		LOBBY: 'LOBBY',
		DEPOSIT: 'DEPOSIT',
		BANKING: 'BANKING',
		SOUND: 'SOUND',
		TURBO: 'TURBO'
	};


	var externalSettings = {

		hillsVegas: {

			desktop: {
				links: {
					help: 'http://vegas.williamhill.com/rules/new/goddess-of-the-amazon/',
					deposit: 'https://accounts.williamhill.com/acc/en-gb?action=GoDeposit',
					withdraw: 'https://accounts.williamhill.com/acc/en-gb?action=GoWithdraw',
					lobby: 'http://vegas.williamhill.com/',
					error: 'http://vegas.williamhill.com/minilobby/?ref=vegas#' + hillsVegasGameCodeDesktop,
					playForReal: 'http://vegas.williamhill.com/minilobby/?ref=vegas#' + hillsVegasGameCodeDesktop
				}
			},
			mobile: {
				links: {
					deposit: 'https://mobilegaming.williamhill.com/session/account/deposit-funds?clientId=mobileVegasSA&returnUrl=https://mobile.williamhill.com/vegas/close',
					withdraw: 'https://mobilegaming.williamhill.com/session/account/withdraw-funds?clientId=mobileVegasSA&returnUrl=https://mobile.williamhill.com/vegas/close',
					lobby: 'https://mobile.williamhill.com/vegas',
					error: 'https://mobile.williamhill.com/vegas',
					playForReal: 'https://mobile.williamhill.com/vegas'
				}
			}
		},

		/*
		 *	Virgo menu options
		 *	graphicFolder: the folder to be used for the icon graphics
		 *	topMenuItem: items that will appear in the top menu e.g sound
		 *	menuItems: items that will appear in the menu item list
		 *
		 *   each item can have the following
		 *   action: what should happen when the item is clicked, you can choose form virgoMenuActions or add a custom url to navigate to
		 *   showItem: wheter or not the item is shown
		 *   newTab: should the link open in a new tab
		 *   graphic: the icon that will be display you can choose from virgoMenuGraphics
		 */
		virgo: {
			graphicFolder: 'shared',
			desktop: {
				topMenuItems: [
					{
						action: virgoMenuActions.TURBO,
						showItem: true,
						graphic: virgoMenuGraphics.TURBO
					},
					{
						action: virgoMenuActions.SOUND,
						showItem: true,
						graphic: virgoMenuGraphics.SOUND
					}
				],
				menuItems: [
					{
						action: virgoMenuActions.ADDTOHOMESCREEN,
						showItem: true,
						graphic: virgoMenuGraphics.ADDTOHOMESCREEN
					},
					{
						action: virgoMenuActions.LOBBY,
						showItem: true,
						graphic: virgoMenuGraphics.LOBBY
					},
					{
						action: virgoMenuActions.BANKING,
						showItem: true,
						newTab: true,
						graphic: virgoMenuGraphics.BANKING
					},
					{
						action: virgoMenuActions.DEPOSIT,
						showItem: true,
						newTab: true,
						graphic: virgoMenuGraphics.DEPOSIT
					}
				]
			},
			mobile: {
				topMenuItems: [
				],
				menuItems: [
					{
						action: virgoMenuActions.TURBO,
						showItem: true,
						graphic: virgoMenuGraphics.TURBO
					},
					{
						action: virgoMenuActions.SOUND,
						showItem: true,
						graphic: virgoMenuGraphics.SOUND
					},
					{
						action: virgoMenuActions.PAYTABLE,
						showItem: true,
						graphic: virgoMenuGraphics.PAYTABLE
					}/*,
                      WeR: Removing most menu options for the mobile app
					{
						action: virgoMenuActions.HELP,
						showItem: true,
						graphic: virgoMenuGraphics.HELP
					},
					{
						action: virgoMenuActions.ADDTOHOMESCREEN,
						showItem: true,
						graphic: virgoMenuGraphics.ADDTOHOMESCREEN
					},
					{
						action: virgoMenuActions.LOBBY,
						showItem: true,
						graphic: virgoMenuGraphics.LOBBY
					},
					{
						action: virgoMenuActions.BANKING,
						showItem: true,
						newTab: true,
						graphic: virgoMenuGraphics.BANKING
					},
					{
						action: virgoMenuActions.DEPOSIT,
						showItem: true,
						newTab: true,
						graphic: virgoMenuGraphics.DEPOSIT
					}*/
				]
			}
		},

		// Autoplay step values. This must be a comma-seperated list of numbers, in the order they will be displayed in the game.
		// Use 'untilBonus' to specify the 'until bonus' option.
		// There must be 5 values in here - otherwise the game will refuse to load.
		autoplaySteps: "10,20,30,40,untilBonus"

	};

	window.externalSettings = externalSettings;
}());
