goog.provide('game.manifestSlot');

goog.require('libs.client.core.clientInformation');


(function(){
	"use strict";

	var clientInfo = libs.client.core.clientInformation;
	var manifest_slot = [];

	var common = [
		{ src: "assets/graphics/standardRes/game/Misc_Atlas/Common.png", data: [
			{ id: "FS_Background_Strips", x: 791, y: 376, width: 731, height: 372, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Background_Strips", x: 791, y: 2, width: 731, height: 372, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_ReelFrame", x: 2, y: 2, width: 787, height: 403, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]},

        { src: "assets/graphics/standardRes/game/FreeSpins/RS_CoinAnim.png", data: [
			{ id: "RS_CoinSpin_00000", x: 58, y: 66, width: 62, height: 60, trimmedOffsetX: 9, trimmedOffsetY: 10 },
			{ id: "RS_CoinSpin_00001", x: 58, y: 2, width: 54, height: 62, trimmedOffsetX: 18, trimmedOffsetY: 9 },
			{ id: "RS_CoinSpin_00002", x: 2, y: 2, width: 36, height: 64, trimmedOffsetX: 27, trimmedOffsetY: 8 },
			{ id: "RS_CoinSpin_00003", x: 40, y: 2, width: 16, height: 64, trimmedOffsetX: 29, trimmedOffsetY: 8 },
			{ id: "RS_CoinSpin_00004", x: 166, y: 2, width: 42, height: 62, trimmedOffsetX: 13, trimmedOffsetY: 9 },
			{ id: "RS_CoinSpin_00005", x: 114, y: 2, width: 50, height: 62, trimmedOffsetX: 9, trimmedOffsetY: 9 },
			{ id: "RS_CoinSpin_00006", x: 122, y: 66, width: 56, height: 60, trimmedOffsetX: 7, trimmedOffsetY: 10 },
			{ id: "RS_CoinSpin_00007", x: 58, y: 66, width: 62, height: 60, trimmedOffsetX: 9, trimmedOffsetY: 10 }
        ]},

        { src: "assets/graphics/standardRes/game/FreeSpins/RS_CoinSpin_ExtraSpins.png", data: [
			{ id: "RS_CoinSpin_ExtraSpins_00000", x: 2, y: 2, width: 62, height: 60, trimmedOffsetX: 9, trimmedOffsetY: 10 },
			{ id: "RS_CoinSpin_ExtraSpins_00001", x: 62, y: 132, width: 54, height: 62, trimmedOffsetX: 18, trimmedOffsetY: 9 },
			{ id: "RS_CoinSpin_ExtraSpins_00002", x: 2, y: 188, width: 36, height: 64, trimmedOffsetX: 27, trimmedOffsetY: 8 },
			{ id: "RS_CoinSpin_ExtraSpins_00003", x: 40, y: 188, width: 20, height: 64, trimmedOffsetX: 29, trimmedOffsetY: 8 },
			{ id: "RS_CoinSpin_ExtraSpins_00004", x: 66, y: 2, width: 36, height: 64, trimmedOffsetX: 18, trimmedOffsetY: 8 },
			{ id: "RS_CoinSpin_ExtraSpins_00005", x: 64, y: 68, width: 52, height: 62, trimmedOffsetX: 9, trimmedOffsetY: 9 },
			{ id: "RS_CoinSpin_ExtraSpins_00006", x: 2, y: 126, width: 56, height: 60, trimmedOffsetX: 8, trimmedOffsetY: 10 },
			{ id: "RS_CoinSpin_ExtraSpins_00007", x: 2, y: 64, width: 60, height: 60, trimmedOffsetX: 10, trimmedOffsetY: 10 }
        ]}
	];

	var commonLQ = [
		{ src: "assets/graphics/standardRes/game/Misc_Atlas/CommonLQ.png", data: [
			{ id: "RS_FreeSpinsGoddess_00000", x: 2, y: 418, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_LoopingSparkle_00000", x: 2, y: 2, width: 182, height: 414, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]}
	];

	var commonMQ = [
		{ src: "assets/graphics/standardRes/game/Misc_Atlas/CommonMQ.png", data: [
			{ id: "RS_BigWinCoin_00000", x: 2, y: 1381, width: 108, height: 114, trimmedOffsetX: 22, trimmedOffsetY: 15 },
			{ id: "RS_BigWinGem_00000", x: 2, y: 1287, width: 110, height: 92, trimmedOffsetX: 13, trimmedOffsetY: 21 },
			{ id: "RS_BigWinStar_00000", x: 2, y: 1147, width: 138, height: 138, trimmedOffsetX: 3, trimmedOffsetY: 3 },
			{ id: "RS_FireBall_00000", x: 2, y: 793, width: 174, height: 352, trimmedOffsetX: 2, trimmedOffsetY: 0 },
			{ id: "RS_FreeSpinsGoddess_00000", x: 2, y: 418, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_LoopingSparkle_00000", x: 2, y: 2, width: 182, height: 414, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]},

		{ src: "assets/graphics/standardRes/game/FreeSpins/RS_CoinRetrigger.png", data: [
			{ id: "RS_CoinRetrigger_00000", x: 368, y: 192, width: 40, height: 34, trimmedOffsetX: 38, trimmedOffsetY: 4 },
			{ id: "RS_CoinRetrigger_00001", x: 444, y: 188, width: 54, height: 62, trimmedOffsetX: 38, trimmedOffsetY: 3 },
			{ id: "RS_CoinRetrigger_00002", x: 444, y: 100, width: 54, height: 86, trimmedOffsetX: 40, trimmedOffsetY: 2 },
			{ id: "RS_CoinRetrigger_00003", x: 286, y: 100, width: 80, height: 94, trimmedOffsetX: 16, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00004", x: 296, y: 2, width: 92, height: 96, trimmedOffsetX: 4, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00005", x: 100, y: 100, width: 94, height: 94, trimmedOffsetX: 2, trimmedOffsetY: 2 },
			{ id: "RS_CoinRetrigger_00006", x: 2, y: 100, width: 96, height: 94, trimmedOffsetX: 0, trimmedOffsetY: 2 },
			{ id: "RS_CoinRetrigger_00007", x: 198, y: 2, width: 96, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00008", x: 100, y: 2, width: 96, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00009", x: 2, y: 2, width: 96, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00010", x: 390, y: 2, width: 90, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00011", x: 196, y: 100, width: 88, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00012", x: 368, y: 100, width: 74, height: 90, trimmedOffsetX: 2, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00013", x: 482, y: 2, width: 1, height: 1, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]}
	];

	var commonHQ = [
		{ src: "assets/graphics/standardRes/game/ReelScreen/RS_LoopingSparkle.png", data: [
			{ id: "RS_LoopingSparkle_00000", x: 1304, y: 404, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00001", x: 1286, y: 2, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00002", x: 1118, y: 404, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00003", x: 1100, y: 2, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00004", x: 932, y: 404, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00005", x: 914, y: 2, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00006", x: 746, y: 406, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00007", x: 560, y: 406, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00008", x: 374, y: 406, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00009", x: 188, y: 406, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00010", x: 1656, y: 2, width: 184, height: 398, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00011", x: 1656, y: 402, width: 184, height: 396, trimmedOffsetX: 0, trimmedOffsetY: 1 },
			{ id: "RS_LoopingSparkle_00012", x: 2, y: 406, width: 184, height: 400, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00013", x: 374, y: 2, width: 184, height: 402, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00014", x: 188, y: 2, width: 184, height: 402, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00015", x: 2, y: 2, width: 184, height: 402, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00016", x: 738, y: 2, width: 174, height: 402, trimmedOffsetX: 5, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00017", x: 560, y: 2, width: 176, height: 402, trimmedOffsetX: 4, trimmedOffsetY: 0 },
			{ id: "RS_LoopingSparkle_00018", x: 1472, y: 2, width: 182, height: 400, trimmedOffsetX: 1, trimmedOffsetY: 0 }
		]},

		{ src: "assets/graphics/standardRes/game/FreeSpins/RS_FreeSpinsGoddess.png", data: [
			{ id: "RS_FreeSpinsGoddess_00000", x: 1248, y: 377, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00001", x: 358, y: 389, width: 176, height: 375, trimmedOffsetX: 2, trimmedOffsetY: 20 },
			{ id: "RS_FreeSpinsGoddess_00002", x: 536, y: 2, width: 176, height: 381, trimmedOffsetX: 2, trimmedOffsetY: 14 },
			{ id: "RS_FreeSpinsGoddess_00003", x: 358, y: 2, width: 176, height: 385, trimmedOffsetX: 2, trimmedOffsetY: 10 },
			{ id: "RS_FreeSpinsGoddess_00004", x: 180, y: 2, width: 176, height: 389, trimmedOffsetX: 2, trimmedOffsetY: 6 },
			{ id: "RS_FreeSpinsGoddess_00005", x: 2, y: 2, width: 176, height: 389, trimmedOffsetX: 2, trimmedOffsetY: 6 },
			{ id: "RS_FreeSpinsGoddess_00006", x: 1426, y: 2, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00007", x: 1248, y: 2, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00008", x: 1070, y: 377, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00009", x: 1070, y: 2, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00010", x: 892, y: 377, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00011", x: 892, y: 2, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00012", x: 714, y: 377, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00013", x: 714, y: 2, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00014", x: 1426, y: 377, width: 176, height: 371, trimmedOffsetX: 2, trimmedOffsetY: 24 },
			{ id: "RS_FreeSpinsGoddess_00015", x: 536, y: 385, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00016", x: 180, y: 393, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 },
			{ id: "RS_FreeSpinsGoddess_00017", x: 2, y: 393, width: 176, height: 373, trimmedOffsetX: 2, trimmedOffsetY: 22 }
		]},

		{ src: "assets/graphics/standardRes/game/BigWinner/RS_BigWinCoin.png", data: [
			{ id: "RS_BigWinCoin_00000", x: 792, y: 84, width: 108, height: 30, trimmedOffsetX: 18, trimmedOffsetY: 57 },
			{ id: "RS_BigWinCoin_00001", x: 682, y: 2, width: 108, height: 82, trimmedOffsetX: 19, trimmedOffsetY: 36 },
			{ id: "RS_BigWinCoin_00002", x: 224, y: 2, width: 108, height: 114, trimmedOffsetX: 22, trimmedOffsetY: 15 },
			{ id: "RS_BigWinCoin_00003", x: 334, y: 2, width: 108, height: 112, trimmedOffsetX: 20, trimmedOffsetY: 10 },
			{ id: "RS_BigWinCoin_00004", x: 564, y: 2, width: 116, height: 86, trimmedOffsetX: 15, trimmedOffsetY: 17 },
			{ id: "RS_BigWinCoin_00005", x: 902, y: 60, width: 110, height: 58, trimmedOffsetX: 17, trimmedOffsetY: 31 },
			{ id: "RS_BigWinCoin_00006", x: 682, y: 86, width: 108, height: 30, trimmedOffsetX: 17, trimmedOffsetY: 50 },
			{ id: "RS_BigWinCoin_00007", x: 792, y: 2, width: 108, height: 80, trimmedOffsetX: 18, trimmedOffsetY: 33 },
			{ id: "RS_BigWinCoin_00008", x: 2, y: 2, width: 110, height: 116, trimmedOffsetX: 19, trimmedOffsetY: 12 },
			{ id: "RS_BigWinCoin_00009", x: 114, y: 2, width: 108, height: 114, trimmedOffsetX: 20, trimmedOffsetY: 10 },
			{ id: "RS_BigWinCoin_00010", x: 444, y: 2, width: 118, height: 86, trimmedOffsetX: 13, trimmedOffsetY: 22 },
			{ id: "RS_BigWinCoin_00011", x: 902, y: 2, width: 114, height: 56, trimmedOffsetX: 13, trimmedOffsetY: 37 }
		]},

		{ src: "assets/graphics/standardRes/game/BigWinner/RS_BigWinGem.png", data: [
			{ id: "RS_BigWinGem_00000", x: 1140, y: 2, width: 90, height: 88, trimmedOffsetX: 16, trimmedOffsetY: 20 },
			{ id: "RS_BigWinGem_00001", x: 946, y: 2, width: 96, height: 90, trimmedOffsetX: 13, trimmedOffsetY: 21 },
			{ id: "RS_BigWinGem_00002", x: 618, y: 2, width: 104, height: 94, trimmedOffsetX: 17, trimmedOffsetY: 20 },
			{ id: "RS_BigWinGem_00003", x: 298, y: 2, width: 102, height: 98, trimmedOffsetX: 27, trimmedOffsetY: 18 },
			{ id: "RS_BigWinGem_00004", x: 402, y: 2, width: 102, height: 96, trimmedOffsetX: 27, trimmedOffsetY: 20 },
			{ id: "RS_BigWinGem_00005", x: 506, y: 2, width: 110, height: 94, trimmedOffsetX: 17, trimmedOffsetY: 22 },
			{ id: "RS_BigWinGem_00006", x: 724, y: 2, width: 110, height: 92, trimmedOffsetX: 13, trimmedOffsetY: 21 },
			{ id: "RS_BigWinGem_00007", x: 836, y: 2, width: 108, height: 90, trimmedOffsetX: 21, trimmedOffsetY: 20 },
			{ id: "RS_BigWinGem_00008", x: 1044, y: 2, width: 94, height: 88, trimmedOffsetX: 33, trimmedOffsetY: 19 },
			{ id: "RS_BigWinGem_00009", x: 104, y: 2, width: 100, height: 102, trimmedOffsetX: 27, trimmedOffsetY: 17 },
			{ id: "RS_BigWinGem_00010", x: 206, y: 2, width: 90, height: 102, trimmedOffsetX: 39, trimmedOffsetY: 24 },
			{ id: "RS_BigWinGem_00011", x: 2, y: 2, width: 100, height: 102, trimmedOffsetX: 27, trimmedOffsetY: 25 }
		]},

		{ src: "assets/graphics/standardRes/game/BigWinner/RS_BigWinStar.png", data: [
			{ id: "RS_BigWinStar_00000", x: 842, y: 284, width: 138, height: 34, trimmedOffsetX: 3, trimmedOffsetY: 51 },
			{ id: "RS_BigWinStar_00001", x: 982, y: 180, width: 138, height: 94, trimmedOffsetX: 3, trimmedOffsetY: 29 },
			{ id: "RS_BigWinStar_00002", x: 282, y: 180, width: 138, height: 138, trimmedOffsetX: 3, trimmedOffsetY: 2 },
			{ id: "RS_BigWinStar_00003", x: 142, y: 180, width: 138, height: 138, trimmedOffsetX: 3, trimmedOffsetY: 3 },
			{ id: "RS_BigWinStar_00004", x: 702, y: 180, width: 138, height: 104, trimmedOffsetX: 3, trimmedOffsetY: 4 },
			{ id: "RS_BigWinStar_00005", x: 1122, y: 246, width: 138, height: 64, trimmedOffsetX: 3, trimmedOffsetY: 28 },
			{ id: "RS_BigWinStar_00006", x: 982, y: 276, width: 138, height: 36, trimmedOffsetX: 3, trimmedOffsetY: 49 },
			{ id: "RS_BigWinStar_00007", x: 842, y: 180, width: 138, height: 102, trimmedOffsetX: 3, trimmedOffsetY: 28 },
			{ id: "RS_BigWinStar_00008", x: 2, y: 180, width: 138, height: 138, trimmedOffsetX: 3, trimmedOffsetY: 3 },
			{ id: "RS_BigWinStar_00009", x: 422, y: 180, width: 138, height: 134, trimmedOffsetX: 3, trimmedOffsetY: 3 },
			{ id: "RS_BigWinStar_00010", x: 562, y: 180, width: 138, height: 108, trimmedOffsetX: 3, trimmedOffsetY: 2 },
			{ id: "RS_BigWinStar_00011", x: 1122, y: 180, width: 138, height: 64, trimmedOffsetX: 3, trimmedOffsetY: 26 }
		]},

		{ src: "assets/graphics/standardRes/game/FreeSpins/FS_ReelBandGlow.png", data: [
			{ id: "FS_ReelBandGlow_00000", x: 36, y: 1482, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "FS_ReelBandGlow_00001", x: 2, y: 1482, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "FS_ReelBandGlow_00002", x: 36, y: 1112, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "FS_ReelBandGlow_00003", x: 2, y: 1112, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "FS_ReelBandGlow_00004", x: 36, y: 742, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "FS_ReelBandGlow_00005", x: 2, y: 742, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "FS_ReelBandGlow_00006", x: 36, y: 372, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "FS_ReelBandGlow_00007", x: 2, y: 372, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "FS_ReelBandGlow_00008", x: 36, y: 2, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "FS_ReelBandGlow_00009", x: 2, y: 2, width: 32, height: 368, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]},

		{ src: "assets/graphics/standardRes/game/FreeSpins/RS_FireBall.png", data: [
			{ id: "RS_FireBall_00000", x: 712, y: 2, width: 174, height: 352, trimmedOffsetX: 2, trimmedOffsetY: 0 },
			{ id: "RS_FireBall_00001", x: 536, y: 2, width: 174, height: 352, trimmedOffsetX: 2, trimmedOffsetY: 0 },
			{ id: "RS_FireBall_00002", x: 1240, y: 2, width: 176, height: 350, trimmedOffsetX: 0, trimmedOffsetY: 2 },
			{ id: "RS_FireBall_00003", x: 358, y: 2, width: 176, height: 352, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_FireBall_00004", x: 180, y: 2, width: 176, height: 352, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_FireBall_00005", x: 1062, y: 2, width: 176, height: 350, trimmedOffsetX: 0, trimmedOffsetY: 2 },
			{ id: "RS_FireBall_00006", x: 888, y: 2, width: 172, height: 352, trimmedOffsetX: 2, trimmedOffsetY: 0 },
			{ id: "RS_FireBall_00007", x: 2, y: 2, width: 176, height: 352, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]},

		{ src: "assets/graphics/standardRes/game/FreeSpins/RS_CoinRetrigger.png", data: [
			{ id: "RS_CoinRetrigger_00000", x: 368, y: 192, width: 40, height: 34, trimmedOffsetX: 38, trimmedOffsetY: 4 },
			{ id: "RS_CoinRetrigger_00001", x: 444, y: 188, width: 54, height: 62, trimmedOffsetX: 38, trimmedOffsetY: 3 },
			{ id: "RS_CoinRetrigger_00002", x: 444, y: 100, width: 54, height: 86, trimmedOffsetX: 40, trimmedOffsetY: 2 },
			{ id: "RS_CoinRetrigger_00003", x: 286, y: 100, width: 80, height: 94, trimmedOffsetX: 16, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00004", x: 296, y: 2, width: 92, height: 96, trimmedOffsetX: 4, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00005", x: 100, y: 100, width: 94, height: 94, trimmedOffsetX: 2, trimmedOffsetY: 2 },
			{ id: "RS_CoinRetrigger_00006", x: 2, y: 100, width: 96, height: 94, trimmedOffsetX: 0, trimmedOffsetY: 2 },
			{ id: "RS_CoinRetrigger_00007", x: 198, y: 2, width: 96, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00008", x: 100, y: 2, width: 96, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00009", x: 2, y: 2, width: 96, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00010", x: 390, y: 2, width: 90, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00011", x: 196, y: 100, width: 88, height: 96, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00012", x: 368, y: 100, width: 74, height: 90, trimmedOffsetX: 2, trimmedOffsetY: 0 },
			{ id: "RS_CoinRetrigger_00013", x: 482, y: 2, width: 1, height: 1, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]},

			{ src: "assets/graphics/standardRes/game/Symbols/RS_WildParticle.png", data: [
			{ id: "RS_WildParticle_00000", x: 1520, y: 88, width: 176, height: 54, trimmedOffsetX: 0, trimmedOffsetY: 123 },
			{ id: "RS_WildParticle_00001", x: 1332, y: 88, width: 186, height: 58, trimmedOffsetX: 0, trimmedOffsetY: 113 },
			{ id: "RS_WildParticle_00002", x: 1712, y: 78, width: 188, height: 68, trimmedOffsetX: 0, trimmedOffsetY: 106 },
			{ id: "RS_WildParticle_00003", x: 1712, y: 2, width: 188, height: 74, trimmedOffsetX: 0, trimmedOffsetY: 102 },
			{ id: "RS_WildParticle_00004", x: 1522, y: 2, width: 188, height: 80, trimmedOffsetX: 0, trimmedOffsetY: 97 },
			{ id: "RS_WildParticle_00005", x: 1332, y: 2, width: 188, height: 84, trimmedOffsetX: 0, trimmedOffsetY: 94 },
			{ id: "RS_WildParticle_00006", x: 1142, y: 2, width: 188, height: 92, trimmedOffsetX: 0, trimmedOffsetY: 91 },
			{ id: "RS_WildParticle_00007", x: 952, y: 2, width: 188, height: 100, trimmedOffsetX: 0, trimmedOffsetY: 88 },
			{ id: "RS_WildParticle_00008", x: 762, y: 2, width: 188, height: 112, trimmedOffsetX: 0, trimmedOffsetY: 82 },
			{ id: "RS_WildParticle_00009", x: 572, y: 2, width: 188, height: 118, trimmedOffsetX: 0, trimmedOffsetY: 76 },
			{ id: "RS_WildParticle_00010", x: 382, y: 2, width: 188, height: 126, trimmedOffsetX: 0, trimmedOffsetY: 68 },
			{ id: "RS_WildParticle_00011", x: 192, y: 2, width: 188, height: 132, trimmedOffsetX: 0, trimmedOffsetY: 61 },
			{ id: "RS_WildParticle_00012", x: 2, y: 2, width: 188, height: 136, trimmedOffsetX: 0, trimmedOffsetY: 57 }
		]},
			{ src: "assets/graphics/standardRes/libs/xOfAKind/ExplosionFrames.png", data: [
			{ id: "Kind_Explosion_00000", x: 2, y: 458, width: 1, height: 1, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00001", x: 1042, y: 432, width: 62, height: 58, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 64, trimmedOffsetY: 48 },
			{ id: "Kind_Explosion_00002", x: 972, y: 432, width: 68, height: 68, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 62, trimmedOffsetY: 44 },
			{ id: "Kind_Explosion_00003", x: 1314, y: 110, width: 80, height: 88, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 56, trimmedOffsetY: 35 },
			{ id: "Kind_Explosion_00004", x: 1314, y: 2, width: 100, height: 106, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 45, trimmedOffsetY: 26 },
			{ id: "Kind_Explosion_00005", x: 1290, y: 200, width: 116, height: 126, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 38, trimmedOffsetY: 17 },
			{ id: "Kind_Explosion_00006", x: 1130, y: 294, width: 136, height: 138, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 27, trimmedOffsetY: 11 },
			{ id: "Kind_Explosion_00007", x: 1136, y: 146, width: 152, height: 146, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 19, trimmedOffsetY: 4 },
			{ id: "Kind_Explosion_00008", x: 804, y: 2, width: 166, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 12, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00009", x: 792, y: 306, width: 178, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 6, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00010", x: 608, y: 154, width: 190, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00011", x: 608, y: 2, width: 194, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00012", x: 2, y: 2, width: 200, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00013", x: 2, y: 154, width: 200, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00014", x: 2, y: 306, width: 200, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00015", x: 204, y: 2, width: 200, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00016", x: 204, y: 154, width: 200, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00017", x: 204, y: 306, width: 200, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00018", x: 406, y: 2, width: 200, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00019", x: 406, y: 154, width: 200, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00020", x: 406, y: 306, width: 200, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00021", x: 608, y: 306, width: 182, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00022", x: 800, y: 154, width: 170, height: 150, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 12, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00023", x: 972, y: 2, width: 170, height: 142, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 12, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00024", x: 1144, y: 2, width: 168, height: 142, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 14, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00025", x: 972, y: 146, width: 162, height: 142, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 19, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00026", x: 972, y: 290, width: 156, height: 140, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 24, trimmedOffsetY: 0 },
			{ id: "Kind_Explosion_00027", x: 1268, y: 328, width: 154, height: 110, untrimmedSize: { width: 200, height: 150 }, trimmedOffsetX: 24, trimmedOffsetY: 0 }
		]}
//
//		{ src: "assets/graphics/standardRes/game/FreeSpins/RS_WildSpin.png", data: [
//			{ id: "RS_WildSpin_00000", x: 1558, y: 2, width: 166, height: 112, trimmedOffsetX: 6, trimmedOffsetY: 0 },
//			{ id: "RS_WildSpin_00001", x: 1216, y: 2, width: 170, height: 112, trimmedOffsetX: 4, trimmedOffsetY: 0 },
//			{ id: "RS_WildSpin_00002", x: 178, y: 2, width: 174, height: 112, trimmedOffsetX: 1, trimmedOffsetY: 0 },
//			{ id: "RS_WildSpin_00003", x: 1388, y: 2, width: 168, height: 112, trimmedOffsetX: 5, trimmedOffsetY: 0 },
//			{ id: "RS_WildSpin_00004", x: 1044, y: 2, width: 170, height: 112, trimmedOffsetX: 6, trimmedOffsetY: 0 },
//			{ id: "RS_WildSpin_00005", x: 872, y: 2, width: 170, height: 112, trimmedOffsetX: 6, trimmedOffsetY: 0 },
//			{ id: "RS_WildSpin_00006", x: 700, y: 2, width: 170, height: 112, trimmedOffsetX: 6, trimmedOffsetY: 0 },
//			{ id: "RS_WildSpin_00007", x: 354, y: 2, width: 172, height: 112, trimmedOffsetX: 4, trimmedOffsetY: 0 },
//			{ id: "RS_WildSpin_00008", x: 2, y: 2, width: 174, height: 112, trimmedOffsetX: 1, trimmedOffsetY: 0 },
//			{ id: "RS_WildSpin_00009", x: 528, y: 2, width: 170, height: 112, trimmedOffsetX: 5, trimmedOffsetY: 0 }
//		]},
	];

	var mobileCommon = [
	];

	var mobileLQ = [
	];

	var mobileMQ = [
	];

	var mobileHQ = [
	];

	var desktopCommon = [
		{ src: "assets/graphics/standardRes/libs/customer/hillsVegas/desktop/DetailsPanel.png", data: [
			{ id: "DetailsPanel", x: 0, y: 0, width: 496, height: 393, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]},
		{ src: "assets/graphics/standardRes/game/ReelScreen/Desktop/RS_Logo.png", data: [
			{ id: "RS_Logo_00000", x: 932, y: 338, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00001", x: 1397, y: 254, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00002", x: 932, y: 254, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00003", x: 1397, y: 170, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00004", x: 932, y: 170, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00005", x: 1397, y: 86, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00006", x: 932, y: 86, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00007", x: 1397, y: 2, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00008", x: 932, y: 2, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00009", x: 467, y: 338, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00010", x: 467, y: 254, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00011", x: 467, y: 170, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00012", x: 467, y: 86, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00013", x: 467, y: 2, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00014", x: 2, y: 338, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00015", x: 2, y: 254, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00016", x: 2, y: 170, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00017", x: 2, y: 86, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Logo_00018", x: 2, y: 2, width: 463, height: 82, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]}
	];

	var desktopLQ = [
	];

	var desktopMQ = [
	];

	var desktopHQ = [
	];

	manifest_slot.push.apply( manifest_slot, common );

	if ( clientInfo.getGraphicalQuality() === "LQ"){
		manifest_slot.push.apply( manifest_slot, commonLQ );
	} else if ( clientInfo.getGraphicalQuality() === "MQ" ){
		manifest_slot.push.apply( manifest_slot, commonMQ );
	} else if ( clientInfo.getGraphicalQuality() === "HQ" ){
		manifest_slot.push.apply( manifest_slot, commonHQ );
	}

	if ( clientInfo.getDeviceType() === 'mobile'){
		manifest_slot.push.apply( manifest_slot, mobileCommon );
		if ( clientInfo.getGraphicalQuality() === "LQ" ){
			manifest_slot.push.apply( manifest_slot, mobileLQ );
		} else if ( clientInfo.getGraphicalQuality() === "MQ" ){
			manifest_slot.push.apply( manifest_slot, mobileMQ );
		} else if ( clientInfo.getGraphicalQuality() === "HQ" ){
			manifest_slot.push.apply( manifest_slot, mobileHQ );
		}
	} else if ( clientInfo.getDeviceType() === 'desktop') {
		manifest_slot.push.apply( manifest_slot, desktopCommon );
		if ( clientInfo.getGraphicalQuality() === "LQ" ){
			manifest_slot.push.apply( manifest_slot, desktopLQ );
		} else if ( clientInfo.getGraphicalQuality() === "MQ" ){
			manifest_slot.push.apply( manifest_slot, desktopMQ );
		} else if ( clientInfo.getGraphicalQuality() === "HQ" ){
			manifest_slot.push.apply( manifest_slot, desktopHQ );
		}
	}


	game.manifestSlot = manifest_slot;

}());