goog.provide('game.manifestSymbols');

goog.require('libs.client.core.clientInformation');


(function(){
	"use strict";

	var clientInfo = libs.client.core.clientInformation;
	var manifest_symbols = [];

	var common = [
		{ src: "assets/graphics/standardRes/game/Symbols/RS_MysteryAnim.png", data: [
			{ id: "RS_Mystery_00000", x: 1766, y: 558, width: 150, height: 96, trimmedOffsetX: 56, trimmedOffsetY: 58 },
			{ id: "RS_Mystery_00001", x: 1766, y: 436, width: 150, height: 120, trimmedOffsetX: 56, trimmedOffsetY: 50 },
			{ id: "RS_Mystery_00002", x: 1766, y: 282, width: 156, height: 152, trimmedOffsetX: 56, trimmedOffsetY: 30 },
			{ id: "RS_Mystery_00003", x: 930, y: 378, width: 172, height: 182, trimmedOffsetX: 50, trimmedOffsetY: 32 },
			{ id: "RS_Mystery_00004", x: 748, y: 378, width: 180, height: 200, trimmedOffsetX: 46, trimmedOffsetY: 33 },
			{ id: "RS_Mystery_00005", x: 548, y: 378, width: 198, height: 242, trimmedOffsetX: 37, trimmedOffsetY: 37 },
			{ id: "RS_Mystery_00006", x: 150, y: 382, width: 208, height: 266, trimmedOffsetX: 31, trimmedOffsetY: 40 },
			{ id: "RS_Mystery_00007", x: 1104, y: 352, width: 216, height: 290, trimmedOffsetX: 28, trimmedOffsetY: 44 },
			{ id: "RS_Mystery_00008", x: 1048, y: 2, width: 236, height: 348, trimmedOffsetX: 18, trimmedOffsetY: 51 },
			{ id: "RS_Mystery_00009", x: 2, y: 2, width: 244, height: 378, trimmedOffsetX: 14, trimmedOffsetY: 54 },
			{ id: "RS_Mystery_00010", x: 786, y: 2, width: 260, height: 374, trimmedOffsetX: 4, trimmedOffsetY: 58 },
			{ id: "RS_Mystery_00011", x: 248, y: 2, width: 268, height: 374, trimmedOffsetX: 0, trimmedOffsetY: 58 },
			{ id: "RS_Mystery_00012", x: 518, y: 2, width: 266, height: 374, trimmedOffsetX: 0, trimmedOffsetY: 58 },
			{ id: "RS_Mystery_00013", x: 1286, y: 2, width: 218, height: 318, trimmedOffsetX: 7, trimmedOffsetY: 114 },
			{ id: "RS_Mystery_00014", x: 1322, y: 322, width: 228, height: 312, trimmedOffsetX: 4, trimmedOffsetY: 120 },
			{ id: "RS_Mystery_00015", x: 1506, y: 2, width: 232, height: 310, trimmedOffsetX: 3, trimmedOffsetY: 122 },
			{ id: "RS_Mystery_00016", x: 1552, y: 314, width: 212, height: 282, trimmedOffsetX: 30, trimmedOffsetY: 150 },
			{ id: "RS_Mystery_00017", x: 1740, y: 2, width: 204, height: 278, trimmedOffsetX: 31, trimmedOffsetY: 154 },
			{ id: "RS_Mystery_00018", x: 360, y: 378, width: 186, height: 274, trimmedOffsetX: 47, trimmedOffsetY: 158 },
			{ id: "RS_Mystery_00019", x: 2, y: 382, width: 146, height: 272, trimmedOffsetX: 80, trimmedOffsetY: 160 }
		]}
	];

	var commonLQ = [
	];

	var commonMQ = [
		{ src: "assets/graphics/standardRes/game/Symbols/RS_FreespinsAnim.png", data: [
			{ id: "RS_FreeSpins_00000", x: 1424, y: 178, width: 145, height: 172, trimmedOffsetX: 27, trimmedOffsetY: 41 },
			{ id: "RS_FreeSpins_00001", x: 149, y: 226, width: 145, height: 184, trimmedOffsetX: 27, trimmedOffsetY: 35 },
			{ id: "RS_FreeSpins_00002", x: 296, y: 222, width: 145, height: 194, trimmedOffsetX: 27, trimmedOffsetY: 30 },
			{ id: "RS_FreeSpins_00003", x: 197, y: 2, width: 191, height: 218, trimmedOffsetX: 4, trimmedOffsetY: 17 },
			{ id: "RS_FreeSpins_00004", x: 776, y: 2, width: 191, height: 216, trimmedOffsetX: 4, trimmedOffsetY: 19 },
			{ id: "RS_FreeSpins_00005", x: 583, y: 2, width: 191, height: 216, trimmedOffsetX: 4, trimmedOffsetY: 19 },
			{ id: "RS_FreeSpins_00006", x: 2, y: 2, width: 193, height: 222, trimmedOffsetX: 3, trimmedOffsetY: 16 },
			{ id: "RS_FreeSpins_00007", x: 390, y: 2, width: 191, height: 216, trimmedOffsetX: 4, trimmedOffsetY: 21 },
			{ id: "RS_FreeSpins_00008", x: 443, y: 220, width: 183, height: 196, trimmedOffsetX: 8, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00009", x: 1126, y: 2, width: 149, height: 196, trimmedOffsetX: 25, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00010", x: 1277, y: 2, width: 145, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00011", x: 969, y: 2, width: 155, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00012", x: 966, y: 220, width: 161, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00013", x: 799, y: 220, width: 165, height: 196, trimmedOffsetX: 28, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00014", x: 628, y: 220, width: 169, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00015", x: 1276, y: 200, width: 145, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00016", x: 1129, y: 200, width: 145, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00017", x: 2, y: 226, width: 145, height: 188, trimmedOffsetX: 27, trimmedOffsetY: 34 },
			{ id: "RS_FreeSpins_00018", x: 1424, y: 2, width: 145, height: 174, trimmedOffsetX: 27, trimmedOffsetY: 40 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_FreeSpinsDropAnim.png", data: [
			{ id: "RS_FreeSpinsDrop_00000", x: 1655, y: 2, width: 145, height: 192, trimmedOffsetX: 27, trimmedOffsetY: 21 }, 
			{ id: "RS_FreeSpinsDrop_00001", x: 1174, y: 2, width: 169, height: 204, trimmedOffsetX: 15, trimmedOffsetY: 21 }, 
			{ id: "RS_FreeSpinsDrop_00002", x: 784, y: 2, width: 193, height: 236, trimmedOffsetX: 3, trimmedOffsetY: 9 }, 
			{ id: "RS_FreeSpinsDrop_00003", x: 394, y: 2, width: 193, height: 240, trimmedOffsetX: 3, trimmedOffsetY: 7 }, 
			{ id: "RS_FreeSpinsDrop_00004", x: 2, y: 2, width: 195, height: 240, trimmedOffsetX: 2, trimmedOffsetY: 8 }, 
			{ id: "RS_FreeSpinsDrop_00005", x: 199, y: 2, width: 193, height: 240, trimmedOffsetX: 3, trimmedOffsetY: 7 }, 
			{ id: "RS_FreeSpinsDrop_00006", x: 589, y: 2, width: 193, height: 238, trimmedOffsetX: 3, trimmedOffsetY: 8 }, 
			{ id: "RS_FreeSpinsDrop_00007", x: 979, y: 2, width: 193, height: 230, trimmedOffsetX: 3, trimmedOffsetY: 12 }, 
			{ id: "RS_FreeSpinsDrop_00008", x: 1345, y: 2, width: 161, height: 200, trimmedOffsetX: 19, trimmedOffsetY: 20 }, 
			{ id: "RS_FreeSpinsDrop_00009", x: 1508, y: 2, width: 145, height: 192, trimmedOffsetX: 27, trimmedOffsetY: 21 }
		]}, 
		 
		{ src: "assets/graphics/standardRes/game/Symbols/RS_JackpotAnim.png", data: [
			{ id: "RS_Jackpot_00000", x: 1484, y: 134, width: 139, height: 94, trimmedOffsetX: 30, trimmedOffsetY: 80 }, 
			{ id: "RS_Jackpot_00001", x: 1536, y: 2, width: 187, height: 130, trimmedOffsetX: 7, trimmedOffsetY: 64 }, 
			{ id: "RS_Jackpot_00002", x: 2, y: 2, width: 189, height: 136, trimmedOffsetX: 5, trimmedOffsetY: 58 }, 
			{ id: "RS_Jackpot_00003", x: 961, y: 2, width: 189, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 }, 
			{ id: "RS_Jackpot_00004", x: 770, y: 2, width: 189, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 }, 
			{ id: "RS_Jackpot_00005", x: 579, y: 2, width: 189, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 }, 
			{ id: "RS_Jackpot_00006", x: 388, y: 2, width: 189, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 }, 
			{ id: "RS_Jackpot_00007", x: 193, y: 2, width: 193, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 }, 
			{ id: "RS_Jackpot_00008", x: 1152, y: 2, width: 193, height: 132, trimmedOffsetX: 6, trimmedOffsetY: 62 }, 
			{ id: "RS_Jackpot_00009", x: 1347, y: 2, width: 187, height: 130, trimmedOffsetX: 8, trimmedOffsetY: 63 }, 
			{ id: "RS_Jackpot_00010", x: 1725, y: 2, width: 191, height: 128, trimmedOffsetX: 8, trimmedOffsetY: 64 }, 
			{ id: "RS_Jackpot_00011", x: 1725, y: 132, width: 189, height: 122, trimmedOffsetX: 10, trimmedOffsetY: 67 }, 
			{ id: "RS_Jackpot_00012", x: 390, y: 138, width: 169, height: 108, trimmedOffsetX: 30, trimmedOffsetY: 78 }, 
			{ id: "RS_Jackpot_00013", x: 955, y: 138, width: 195, height: 102, trimmedOffsetX: 4, trimmedOffsetY: 80 }, 
			{ id: "RS_Jackpot_00014", x: 199, y: 138, width: 189, height: 108, trimmedOffsetX: 10, trimmedOffsetY: 78 }, 
			{ id: "RS_Jackpot_00015", x: 758, y: 138, width: 195, height: 102, trimmedOffsetX: 4, trimmedOffsetY: 78 }, 
			{ id: "RS_Jackpot_00016", x: 2, y: 140, width: 195, height: 110, trimmedOffsetX: 4, trimmedOffsetY: 79 }, 
			{ id: "RS_Jackpot_00017", x: 1152, y: 136, width: 189, height: 118, trimmedOffsetX: 10, trimmedOffsetY: 71 }, 
			{ id: "RS_Jackpot_00018", x: 561, y: 138, width: 195, height: 102, trimmedOffsetX: 4, trimmedOffsetY: 77 }, 
			{ id: "RS_Jackpot_00019", x: 1343, y: 136, width: 139, height: 94, trimmedOffsetX: 30, trimmedOffsetY: 80 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Prog1Anim.png", data: [
			{ id: "RS_Prog1_00000", x: 612, y: 2, width: 141, height: 124, trimmedOffsetX: 29, trimmedOffsetY: 66 }, 
			{ id: "RS_Prog1_00001", x: 465, y: 2, width: 145, height: 128, trimmedOffsetX: 26, trimmedOffsetY: 64 }, 
			{ id: "RS_Prog1_00002", x: 314, y: 2, width: 149, height: 130, trimmedOffsetX: 24, trimmedOffsetY: 63 }, 
			{ id: "RS_Prog1_00003", x: 159, y: 2, width: 153, height: 134, trimmedOffsetX: 22, trimmedOffsetY: 61 }, 
			{ id: "RS_Prog1_00004", x: 2, y: 2, width: 155, height: 138, trimmedOffsetX: 22, trimmedOffsetY: 59 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Prog2Anim.png", data: [
			{ id: "RS_Prog2_00000", x: 612, y: 2, width: 141, height: 124, trimmedOffsetX: 28, trimmedOffsetY: 65 }, 
			{ id: "RS_Prog2_00001", x: 465, y: 2, width: 145, height: 128, trimmedOffsetX: 26, trimmedOffsetY: 63 }, 
			{ id: "RS_Prog2_00002", x: 314, y: 2, width: 149, height: 130, trimmedOffsetX: 24, trimmedOffsetY: 63 }, 
			{ id: "RS_Prog2_00003", x: 159, y: 2, width: 153, height: 134, trimmedOffsetX: 22, trimmedOffsetY: 60 }, 
			{ id: "RS_Prog2_00004", x: 2, y: 2, width: 155, height: 138, trimmedOffsetX: 21, trimmedOffsetY: 58 }
		]}
	];

	var commonHQ = [
		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbol0Anim.png", data: [
			{ id: "RS_Symbol0_00000", x: 338, y: 2, width: 75, height: 58, trimmedOffsetX: 62, trimmedOffsetY: 101 }, 
			{ id: "RS_Symbol0_00001", x: 257, y: 2, width: 79, height: 58, trimmedOffsetX: 60, trimmedOffsetY: 101 }, 
			{ id: "RS_Symbol0_00002", x: 174, y: 2, width: 81, height: 62, trimmedOffsetX: 59, trimmedOffsetY: 98 }, 
			{ id: "RS_Symbol0_00003", x: 89, y: 2, width: 83, height: 64, trimmedOffsetX: 58, trimmedOffsetY: 97 }, 
			{ id: "RS_Symbol0_00004", x: 2, y: 2, width: 85, height: 64, trimmedOffsetX: 57, trimmedOffsetY: 98 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbol1Anim.png", data: [
			{ id: "RS_Symbol1_00000", x: 344, y: 2, width: 75, height: 60, trimmedOffsetX: 62, trimmedOffsetY: 99 }, 
			{ id: "RS_Symbol1_00001", x: 263, y: 2, width: 79, height: 62, trimmedOffsetX: 60, trimmedOffsetY: 98 }, 
			{ id: "RS_Symbol1_00002", x: 178, y: 2, width: 83, height: 64, trimmedOffsetX: 58, trimmedOffsetY: 97 }, 
			{ id: "RS_Symbol1_00003", x: 91, y: 2, width: 85, height: 66, trimmedOffsetX: 57, trimmedOffsetY: 97 }, 
			{ id: "RS_Symbol1_00004", x: 2, y: 2, width: 87, height: 68, trimmedOffsetX: 56, trimmedOffsetY: 96 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbol2Anim.png", data: [
			{ id: "RS_Symbol2_00000", x: 314, y: 2, width: 71, height: 72, trimmedOffsetX: 64, trimmedOffsetY: 93 }, 
			{ id: "RS_Symbol2_00001", x: 239, y: 2, width: 73, height: 74, trimmedOffsetX: 63, trimmedOffsetY: 93 }, 
			{ id: "RS_Symbol2_00002", x: 162, y: 2, width: 75, height: 76, trimmedOffsetX: 62, trimmedOffsetY: 92 }, 
			{ id: "RS_Symbol2_00003", x: 83, y: 2, width: 77, height: 78, trimmedOffsetX: 61, trimmedOffsetY: 91 }, 
			{ id: "RS_Symbol2_00004", x: 2, y: 2, width: 79, height: 80, trimmedOffsetX: 60, trimmedOffsetY: 89 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbol3Anim.png", data: [
			{ id: "RS_Symbol3_00000", x: 129, y: 78, width: 115, height: 72, trimmedOffsetX: 42, trimmedOffsetY: 93 }, 
			{ id: "RS_Symbol3_00001", x: 129, y: 2, width: 117, height: 74, trimmedOffsetX: 41, trimmedOffsetY: 92 }, 
			{ id: "RS_Symbol3_00002", x: 127, y: 152, width: 121, height: 76, trimmedOffsetX: 39, trimmedOffsetY: 90 }, 
			{ id: "RS_Symbol3_00003", x: 2, y: 152, width: 123, height: 76, trimmedOffsetX: 38, trimmedOffsetY: 91 }, 
			{ id: "RS_Symbol3_00004", x: 2, y: 2, width: 125, height: 78, trimmedOffsetX: 37, trimmedOffsetY: 90 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbol4Anim.png", data: [
			{ id: "RS_Symbol4_00000", x: 496, y: 2, width: 113, height: 80, trimmedOffsetX: 43, trimmedOffsetY: 89 }, 
			{ id: "RS_Symbol4_00001", x: 377, y: 2, width: 117, height: 82, trimmedOffsetX: 41, trimmedOffsetY: 88 }, 
			{ id: "RS_Symbol4_00002", x: 256, y: 2, width: 119, height: 86, trimmedOffsetX: 41, trimmedOffsetY: 85 }, 
			{ id: "RS_Symbol4_00003", x: 131, y: 2, width: 123, height: 88, trimmedOffsetX: 38, trimmedOffsetY: 85 }, 
			{ id: "RS_Symbol4_00004", x: 2, y: 2, width: 127, height: 90, trimmedOffsetX: 36, trimmedOffsetY: 84 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbol5Anim.png", data: [
			{ id: "RS_Symbol5_00000", x: 550, y: 2, width: 125, height: 90, trimmedOffsetX: 37, trimmedOffsetY: 83 }, 
			{ id: "RS_Symbol5_00001", x: 419, y: 2, width: 129, height: 94, trimmedOffsetX: 34, trimmedOffsetY: 81 }, 
			{ id: "RS_Symbol5_00002", x: 284, y: 2, width: 133, height: 96, trimmedOffsetX: 33, trimmedOffsetY: 80 }, 
			{ id: "RS_Symbol5_00003", x: 145, y: 2, width: 137, height: 100, trimmedOffsetX: 30, trimmedOffsetY: 78 }, 
			{ id: "RS_Symbol5_00004", x: 2, y: 2, width: 141, height: 102, trimmedOffsetX: 28, trimmedOffsetY: 76 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbol6Anim.png", data: [
			{ id: "RS_Symbol6_00000", x: 552, y: 2, width: 126, height: 90, trimmedOffsetX: 30, trimmedOffsetY: 58 }, 
			{ id: "RS_Symbol6_00001", x: 420, y: 2, width: 130, height: 94, trimmedOffsetX: 28, trimmedOffsetY: 56 }, 
			{ id: "RS_Symbol6_00002", x: 284, y: 2, width: 134, height: 96, trimmedOffsetX: 26, trimmedOffsetY: 55 }, 
			{ id: "RS_Symbol6_00003", x: 144, y: 2, width: 138, height: 100, trimmedOffsetX: 24, trimmedOffsetY: 53 }, 
			{ id: "RS_Symbol6_00004", x: 2, y: 2, width: 140, height: 102, trimmedOffsetX: 24, trimmedOffsetY: 51 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbol7Anim.png", data: [
			{ id: "RS_Symbol7_00000", x: 550, y: 2, width: 125, height: 90, trimmedOffsetX: 37, trimmedOffsetY: 83 }, 
			{ id: "RS_Symbol7_00001", x: 419, y: 2, width: 129, height: 92, trimmedOffsetX: 35, trimmedOffsetY: 82 }, 
			{ id: "RS_Symbol7_00002", x: 284, y: 2, width: 133, height: 96, trimmedOffsetX: 32, trimmedOffsetY: 80 }, 
			{ id: "RS_Symbol7_00003", x: 145, y: 2, width: 137, height: 98, trimmedOffsetX: 30, trimmedOffsetY: 79 }, 
			{ id: "RS_Symbol7_00004", x: 2, y: 2, width: 141, height: 102, trimmedOffsetX: 28, trimmedOffsetY: 77 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_FreespinsAnim.png", data: [
			{ id: "RS_FreeSpins_00000", x: 1424, y: 178, width: 145, height: 172, trimmedOffsetX: 27, trimmedOffsetY: 41 },
			{ id: "RS_FreeSpins_00001", x: 149, y: 226, width: 145, height: 184, trimmedOffsetX: 27, trimmedOffsetY: 35 },
			{ id: "RS_FreeSpins_00002", x: 296, y: 222, width: 145, height: 194, trimmedOffsetX: 27, trimmedOffsetY: 30 },
			{ id: "RS_FreeSpins_00003", x: 197, y: 2, width: 191, height: 218, trimmedOffsetX: 4, trimmedOffsetY: 17 },
			{ id: "RS_FreeSpins_00004", x: 776, y: 2, width: 191, height: 216, trimmedOffsetX: 4, trimmedOffsetY: 19 },
			{ id: "RS_FreeSpins_00005", x: 583, y: 2, width: 191, height: 216, trimmedOffsetX: 4, trimmedOffsetY: 19 },
			{ id: "RS_FreeSpins_00006", x: 2, y: 2, width: 193, height: 222, trimmedOffsetX: 3, trimmedOffsetY: 16 },
			{ id: "RS_FreeSpins_00007", x: 390, y: 2, width: 191, height: 216, trimmedOffsetX: 4, trimmedOffsetY: 21 },
			{ id: "RS_FreeSpins_00008", x: 443, y: 220, width: 183, height: 196, trimmedOffsetX: 8, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00009", x: 1126, y: 2, width: 149, height: 196, trimmedOffsetX: 25, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00010", x: 1277, y: 2, width: 145, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00011", x: 969, y: 2, width: 155, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00012", x: 966, y: 220, width: 161, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00013", x: 799, y: 220, width: 165, height: 196, trimmedOffsetX: 28, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00014", x: 628, y: 220, width: 169, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00015", x: 1276, y: 200, width: 145, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00016", x: 1129, y: 200, width: 145, height: 196, trimmedOffsetX: 27, trimmedOffsetY: 29 },
			{ id: "RS_FreeSpins_00017", x: 2, y: 226, width: 145, height: 188, trimmedOffsetX: 27, trimmedOffsetY: 34 },
			{ id: "RS_FreeSpins_00018", x: 1424, y: 2, width: 145, height: 174, trimmedOffsetX: 27, trimmedOffsetY: 40 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_FreeSpinsDropAnim.png", data: [
			{ id: "RS_FreeSpinsDrop_00000", x: 1655, y: 2, width: 145, height: 192, trimmedOffsetX: 27, trimmedOffsetY: 21 },
			{ id: "RS_FreeSpinsDrop_00001", x: 1174, y: 2, width: 169, height: 204, trimmedOffsetX: 15, trimmedOffsetY: 21 },
			{ id: "RS_FreeSpinsDrop_00002", x: 784, y: 2, width: 193, height: 236, trimmedOffsetX: 3, trimmedOffsetY: 9 },
			{ id: "RS_FreeSpinsDrop_00003", x: 394, y: 2, width: 193, height: 240, trimmedOffsetX: 3, trimmedOffsetY: 7 },
			{ id: "RS_FreeSpinsDrop_00004", x: 2, y: 2, width: 195, height: 240, trimmedOffsetX: 2, trimmedOffsetY: 8 },
			{ id: "RS_FreeSpinsDrop_00005", x: 199, y: 2, width: 193, height: 240, trimmedOffsetX: 3, trimmedOffsetY: 7 },
			{ id: "RS_FreeSpinsDrop_00006", x: 589, y: 2, width: 193, height: 238, trimmedOffsetX: 3, trimmedOffsetY: 8 },
			{ id: "RS_FreeSpinsDrop_00007", x: 979, y: 2, width: 193, height: 230, trimmedOffsetX: 3, trimmedOffsetY: 12 },
			{ id: "RS_FreeSpinsDrop_00008", x: 1345, y: 2, width: 161, height: 200, trimmedOffsetX: 19, trimmedOffsetY: 20 },
			{ id: "RS_FreeSpinsDrop_00009", x: 1508, y: 2, width: 145, height: 192, trimmedOffsetX: 27, trimmedOffsetY: 21 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_JackpotAnim.png", data: [
			{ id: "RS_Jackpot_00000", x: 1484, y: 134, width: 139, height: 94, trimmedOffsetX: 30, trimmedOffsetY: 80 },
			{ id: "RS_Jackpot_00001", x: 1536, y: 2, width: 187, height: 130, trimmedOffsetX: 7, trimmedOffsetY: 64 },
			{ id: "RS_Jackpot_00002", x: 2, y: 2, width: 189, height: 136, trimmedOffsetX: 5, trimmedOffsetY: 58 },
			{ id: "RS_Jackpot_00003", x: 961, y: 2, width: 189, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 },
			{ id: "RS_Jackpot_00004", x: 770, y: 2, width: 189, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 },
			{ id: "RS_Jackpot_00005", x: 579, y: 2, width: 189, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 },
			{ id: "RS_Jackpot_00006", x: 388, y: 2, width: 189, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 },
			{ id: "RS_Jackpot_00007", x: 193, y: 2, width: 193, height: 134, trimmedOffsetX: 5, trimmedOffsetY: 60 },
			{ id: "RS_Jackpot_00008", x: 1152, y: 2, width: 193, height: 132, trimmedOffsetX: 6, trimmedOffsetY: 62 },
			{ id: "RS_Jackpot_00009", x: 1347, y: 2, width: 187, height: 130, trimmedOffsetX: 8, trimmedOffsetY: 63 },
			{ id: "RS_Jackpot_00010", x: 1725, y: 2, width: 191, height: 128, trimmedOffsetX: 8, trimmedOffsetY: 64 },
			{ id: "RS_Jackpot_00011", x: 1725, y: 132, width: 189, height: 122, trimmedOffsetX: 10, trimmedOffsetY: 67 },
			{ id: "RS_Jackpot_00012", x: 390, y: 138, width: 169, height: 108, trimmedOffsetX: 30, trimmedOffsetY: 78 },
			{ id: "RS_Jackpot_00013", x: 955, y: 138, width: 195, height: 102, trimmedOffsetX: 4, trimmedOffsetY: 80 },
			{ id: "RS_Jackpot_00014", x: 199, y: 138, width: 189, height: 108, trimmedOffsetX: 10, trimmedOffsetY: 78 },
			{ id: "RS_Jackpot_00015", x: 758, y: 138, width: 195, height: 102, trimmedOffsetX: 4, trimmedOffsetY: 78 },
			{ id: "RS_Jackpot_00016", x: 2, y: 140, width: 195, height: 110, trimmedOffsetX: 4, trimmedOffsetY: 79 },
			{ id: "RS_Jackpot_00017", x: 1152, y: 136, width: 189, height: 118, trimmedOffsetX: 10, trimmedOffsetY: 71 },
			{ id: "RS_Jackpot_00018", x: 561, y: 138, width: 195, height: 102, trimmedOffsetX: 4, trimmedOffsetY: 77 },
			{ id: "RS_Jackpot_00019", x: 1343, y: 136, width: 139, height: 94, trimmedOffsetX: 30, trimmedOffsetY: 80 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Prog1Anim.png", data: [
			{ id: "RS_Prog1_00000", x: 612, y: 2, width: 141, height: 124, trimmedOffsetX: 29, trimmedOffsetY: 66 },
			{ id: "RS_Prog1_00001", x: 465, y: 2, width: 145, height: 128, trimmedOffsetX: 26, trimmedOffsetY: 64 },
			{ id: "RS_Prog1_00002", x: 314, y: 2, width: 149, height: 130, trimmedOffsetX: 24, trimmedOffsetY: 63 },
			{ id: "RS_Prog1_00003", x: 159, y: 2, width: 153, height: 134, trimmedOffsetX: 22, trimmedOffsetY: 61 },
			{ id: "RS_Prog1_00004", x: 2, y: 2, width: 155, height: 138, trimmedOffsetX: 22, trimmedOffsetY: 59 }
		]},

		{ src: "assets/graphics/standardRes/game/Symbols/RS_Prog2Anim.png", data: [
			{ id: "RS_Prog2_00000", x: 612, y: 2, width: 141, height: 124, trimmedOffsetX: 28, trimmedOffsetY: 65 },
			{ id: "RS_Prog2_00001", x: 465, y: 2, width: 145, height: 128, trimmedOffsetX: 26, trimmedOffsetY: 63 },
			{ id: "RS_Prog2_00002", x: 314, y: 2, width: 149, height: 130, trimmedOffsetX: 24, trimmedOffsetY: 63 },
			{ id: "RS_Prog2_00003", x: 159, y: 2, width: 153, height: 134, trimmedOffsetX: 22, trimmedOffsetY: 60 },
			{ id: "RS_Prog2_00004", x: 2, y: 2, width: 155, height: 138, trimmedOffsetX: 21, trimmedOffsetY: 58 }
		]}

	];

	var reelsNormal = [
		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbols.png", data: [
			{ id: "FS_Wild", x: 806, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_FreeSpins", x: 806, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Jackpot", x: 605, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Mystery", x: 605, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Prog1", x: 404, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Prog2", x: 404, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol0", x: 806, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol1", x: 605, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol2", x: 404, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol3", x: 203, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol4", x: 203, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol5", x: 203, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol6", x: 2, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol7", x: 2, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Wild", x: 2, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]}
	];

	var reelsBlurred = [
		{ src: "assets/graphics/standardRes/game/Symbols/RS_Symbols_BLUR.png", data: [
			{ id: "FS_Wild_BLUR", x: 806, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_FreeSpins_BLUR", x: 806, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Jackpot_BLUR", x: 605, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Mystery_BLUR", x: 605, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Prog1_BLUR", x: 404, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Prog2_BLUR", x: 404, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol0_BLUR", x: 806, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol1_BLUR", x: 605, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol2_BLUR", x: 404, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol3_BLUR", x: 203, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol4_BLUR", x: 203, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol5_BLUR", x: 203, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol6_BLUR", x: 2, y: 518, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Symbol7_BLUR", x: 2, y: 260, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 },
			{ id: "RS_Wild_BLUR", x: 2, y: 2, width: 199, height: 256, trimmedOffsetX: 0, trimmedOffsetY: 0 }
		]}
	];


	manifest_symbols.push.apply( manifest_symbols, common );

	if ( clientInfo.useBlurredReels() ){
		manifest_symbols.push.apply( manifest_symbols, reelsBlurred );
	}

	manifest_symbols.push.apply( manifest_symbols, reelsNormal );

	if ( clientInfo.getGraphicalQuality() === "LQ"){
		manifest_symbols.push.apply( manifest_symbols, commonLQ );
	} else if ( clientInfo.getGraphicalQuality() === "MQ" ){
		manifest_symbols.push.apply( manifest_symbols, commonMQ );
	} else if ( clientInfo.getGraphicalQuality() === "HQ" ){
		manifest_symbols.push.apply( manifest_symbols, commonHQ );
	}


	game.manifestSymbols = manifest_symbols;

}());