goog.require( 'game.settings' );


(function() {
	"use strict";

	var gameWidth = 800;
	var gameHeight = 600;

	var reelPositions = [
		{ x: 6, y: 22 },
		{ x: 154, y: 22 },
		{ x: 302, y: 22 },
		{ x: 450, y: 22 },
		{ x: 598, y: 22 }
	];

	var reelsFramePosition = {
		x: 7, y: 84
	};

	var hillsVegasLinks = {
		paytable: libs.client.assetUrlPrefix + 'assets/data/Desktop/paytable.html',
		help: libs.getExternalSetting( 'hillsVegas.desktop.links.help', 'http://vegas.williamhill.com/rules/new/game-name/' ),
		deposit: libs.getExternalSetting( 'hillsVegas.desktop.links.deposit', 'https://accounts.williamhill.com/acc/en-gb?action=GoDeposit' ),
		withdraw: libs.getExternalSetting( 'hillsVegas.desktop.links.withdraw', 'https://accounts.williamhill.com/acc/en-gb?action=GoWithdraw' ),
		lobby: libs.getExternalSetting( 'hillsVegas.desktop.links.lobby', 'http://vegas.williamhill.com/' ),
		error: libs.getExternalSetting( 'hillsVegas.desktop.links.error', 'http://vegas.williamhill.com/minilobby/?ref=vegas#AA' ),
		playForReal: libs.getExternalSetting( 'hillsVegas.desktop.links.playForReal', 'http://vegas.williamhill.com/minilobby/?ref=vegas#AA' )
	};

	var desktopSettings = {
		hillsVegasLinks: hillsVegasLinks,
		gameWidth: gameWidth,
		gameHeight: gameHeight,
		backgroundStrips: {
			drawSettings: {
				x: 35, y: 103
			}
		},
		reelsFrame: {
			drawSettings: reelsFramePosition
		},
		freespins: {
			fireball: {
				reelPositions: reelPositions,
				reelsFramePosition: reelsFramePosition
			},
			heavyDropDust: {
				reelPositions: reelPositions
			}
		},
		hiddenWilds: {
			reelPositions: reelPositions
		},


		libs: {
			displayHandler: {
				gameWidth: gameWidth,
				gameHeight: gameHeight
			},
			iFrameFocus: {},
			hillsVegas: {
				desktopMenu: {
					links: hillsVegasLinks
				},
				historyDisplay: {
					symbolsData: game.settings.symbolsData
				}
			},
			virgo: {
				menu: {
					isDesktop: true
				}
			},
			presentation: {
				freespinsJackpotTierOneMeter: {
					model: {
						shouldBeVisible: function() {return false;}
					}
				},
				deviceCompatibilityDisplay: {
					links: hillsVegasLinks
				},
				errorScreen: {
					links: hillsVegasLinks
				},
				loadingScreen: {
					gameWidth: gameWidth
				},
				totalStakeMeter: {
					model: {
						shouldBeVisible: game.settings.models.hideDuringFreespinsVisibilityFunc
					}
				},
				jackpotTierOneMeter: {},
				jackpotTierTwoMeter: {
					model: {
						shouldBeVisible: game.settings.models.hideDuringFreespinsVisibilityFunc
					}
				}
			},
			reels: {
				paytableButton: {},
				spinButton: {
					model: {
						shouldBeVisible: game.settings.models.hideDuringFreespinsVisibilityFunc
					}
				},
				stakeDownButton: {},
				stakeUpButton: {},
				logoAnimation: {
					drawSettings: {
						x: 165,
						y: 18,
						width: 463,
						height: 82
					}
				},
				paytable: {
					links: hillsVegasLinks
				},
				reelsAnticipation: {
					reelPositions: reelPositions
				},
				reelView: {
					reelPositions: reelPositions
				},
				winlinesView: {
					highlightBoxes: {
						reelPositions: reelPositions
					}
				},
				xOfAKindSplash: {}
			},
			rendering: {
				surfaceManager: {
					gameWidth: gameWidth,
					gameHeight: gameHeight
				}
			}
		}
	};


	jQuery.extend( true, game.settings, desktopSettings );

}());