goog.require( 'game.settings' );


(function() {
	"use strict";

	var gameWidth = 960;
	var gameHeight = 540;

	var reelPositions = [
		{ x: 12, y: 8 },
		{ x: 160, y: 8 },
		{ x: 308, y: 8 },
		{ x: 456, y: 8 },
		{ x: 604, y: 8 }
	];

	var reelsFramePosition = {
		x: 13, y: 70
	};

	var links = {
		paytable: libs.client.assetUrlPrefix + 'assets/data/Mobile/paytable.html',
		help: libs.getExternalSetting( 'hillsVegas.mobile.links.help', '' ),
		deposit: libs.getExternalSetting( 'hillsVegas.mobile.links.deposit', 'https://mobilegaming.williamhill.com/session/account/deposit-funds?clientId=mobileVegasSA&returnUrl=https://mobile.williamhill.com/vegas/close' ),
		withdraw: libs.getExternalSetting( 'hillsVegas.mobile.links.withdraw', 'https://mobilegaming.williamhill.com/session/account/withdraw-funds?clientId=mobileVegasSA&returnUrl=https://mobile.williamhill.com/vegas/close' ),
		lobby: libs.getExternalSetting( 'hillsVegas.mobile.links.lobby', 'https://mobile.williamhill.com/vegas' ),
		error: libs.getExternalSetting( 'hillsVegas.mobile.links.error', 'https://mobile.williamhill.com/vegas' ),
		playForReal: libs.getExternalSetting( 'hillsVegas.mobile.links.playForReal', 'https://mobile.williamhill.com/vegas' )
	};

	var mobileSettings = {
		hillsVegasLinks: links,
		gameWidth: gameWidth,
		gameHeight: gameHeight,
		backgroundStrips: {
			drawSettings: {
				x: 41, y: 90
			}
		},
		reelsFrame: {
			drawSettings: reelsFramePosition
		},
		freespins: {
			fireball: {
				reelPositions: reelPositions,
				reelsFramePosition: reelsFramePosition
			},
			heavyDropDust: {
				reelPositions: reelPositions
			}
		},
		hiddenWilds: {
			reelPositions: reelPositions
		},


		libs: {
			displayHandler: {
				gameWidth: gameWidth,
				gameHeight: gameHeight
			},
			hillsVegas: {
				mobileMenu: {
					links: links,
					menuXML: 'bower_components/Libs_ClientHillsVegas/data/mobileMenu.xml'
				},
				urlChanger: {}
			},
			virgo: {
				menu: {
					isMobile: true
				}
			},
			presentation: {
				jackpotTierOneMeter: {
					model: {
						shouldBeVisible: game.settings.models.hideDuringFreespinsVisibilityFunc
					}
				},
				deviceCompatibilityDisplay: {
					links: links
				},
				errorScreen: {
					links: links
				},
				loadingScreen: {
					gameWidth: gameWidth
				},
				digitalClock: {}
			},
			reels: {
				menuButton: {},
				stakeButton: {},
				paytable: {
					links: links
				},
				reelsAnticipation: {
					reelPositions: reelPositions
				},
				reelView: {
					reelPositions: reelPositions
				},
				scrollableStakeSelector: {},
				winlinesView: {
					highlightBoxes: {
						reelPositions: reelPositions
					}
				},
				xOfAKindSplash: {}
			},
			rendering: {
				nativeAndroidRenderingHacks: {},
				surfaceManager: {
					gameWidth: gameWidth,
					gameHeight: gameHeight
				}
			}
		}
	};


	jQuery.extend( true, game.settings, mobileSettings );

}());