goog.require( 'game.settings' );

goog.require( 'libs.client.core.buildVariables' );


(function() {
	"use strict";

	var commonSettings = {};
	var desktopSettings = {};
	var mobileSettings = {};

	if ( PLATFORM_TYPE === 'local' || PLATFORM_TYPE === 'virgo' ) {
		desktopSettings = {
			freespins: {
				useAlternateBar: true
			},
			libs: {
				presentation: {
					balanceMeter: {},
					totalWinMeter: {},
					jackpotTierOneMeter: {
						hideForMessageBar: true
					},
					jackpotTierTwoMeter: {
						hideForMessageBar: true
					}
				},
				reels: {
					menuButton: {}
				}
			}
		};
	} else if ( PLATFORM_TYPE === 'hillsLocal' || PLATFORM_TYPE === 'hillsLive' ) {
	}

	//Detect and merge appropriate settings
	jQuery.extend( true, game.settings, commonSettings );
	if ( libs.client.core.clientInformation.getDeviceType() === 'desktop' ) {
		jQuery.extend( true, game.settings, desktopSettings );
	} else {
		jQuery.extend( true, game.settings, mobileSettings );
	}


}());